<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Stéphanie Roussel, Jean-Marie Treins
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/


    print "<html><head>";
    print "<title>Options de $MODULE</title>";
    include("../include/utiljs.php");
    $etab_nom=stripslashes($etab_nom);
    $etab_adresse=stripslashes($etab_adresse);
    $etab_ville=stripslashes($etab_ville);
    $etab_tel_admin=stripslashes($etab_tel_admin);
    $etab_mail_admin=stripslashes($etab_mail_admin);
    $etab_avertissement=@stripslashes($etab_avertissement);
    //print $etab_sess_timeout;
    // recup theme par défaut de l'établissement pour select liste choix
     get_theme_defaut($etab_id);
    ?>
    <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">

    <link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
    <script language="javascript">
    function verifmodele(mindiv) {
        permis="npdb.-_"; //caractères autorisés dans le modèle
        m=eval("document.formparam."+mindiv+".value");
        //alert(m+' '+m.length);
        if (m.length==0) {
            alert("Le modèle doit au moins comporter un des caractères n,p,d,b,#.");
            return false;
        }
        for (i=0; i<m.length; i++) {
            if (permis.indexOf(m.charAt(i))==-1) {
                alert("Le caractère '"+m.charAt(i)+"' n\'est pas autorisé dans les modèles.");
                return false;
            }
        }
        return true;
    }
    </script>
    </head>

    <body class="<?php echo $style; ?>" onload="document.formparam.etab_nom.focus();">
    <p class="sous_titre">Paramètres généraux de <?php echo $MODULE."."?></p>
    <form name="formparam"  method="post" action="<?php echo $cible1; ?>">
    <input type="hidden" name="style" value="<?php echo $style; ?>">
    <div align="center"><table border="1" cellspacing="0" bordercolordark="white" bordercolorlight="black" align="center" width="80%">
    <tr><td class="rubrique">
            <p>
            <B>Param&egrave;tres de l'&eacute;tablissement</B> </p>
        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Nom de l'&eacute;tablissement : &nbsp;
            <input type="text" name="etab_nom" maxlength="35" size="35"
                   value="<?php echo $etab_nom; ?>">&nbsp;</p>
            <!-- <input type="hidden" name="PARA"
                   value="taratata"></p>  -->

        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Adresse :
            <input type="text" name="etab_adresse" maxlength="35" size="35"
                   value="<?php echo $etab_adresse; ?>">&nbsp;</p>
        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Code postal :
            <input type="text" name="etab_codepostal" maxlength="5" size="5"
                   value="<?php echo $etab_codepostal; ?>">
            &nbsp;Ville :
            <input type="text" name="etab_ville"
                   value="<?php echo $etab_ville; ?>" maxlength="25" size="25">&nbsp;</p>
        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Adresse de messagerie de l'admin GiBii :
            <input type="text" name="etab_mail_admin" maxlength="40" size="25"
                   value="<?php echo $etab_mail_admin; ?>">
            &nbsp;Téléphone :
            <input type="text" name="etab_tel_admin"
                   value="<?php echo $etab_tel_admin; ?>" maxlength="20" size="15">&nbsp;</p>
        </td>
    </tr>
    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td class="rubrique">
            <p><B>Aspect général</B></p>
        </td>
    </tr>
    <tr><td >
            <p STYLE="text-align: right;">Thème établissement par défaut : <select name="etab_theme" size="1">
    <?php
        $def_theme=$etab_theme_defaut;
        $themelist="";
        $handle=opendir('../themes');
        while ($file = readdir($handle)) {
              if ($file!='.' && $file!='..' && $file!='CVS' && is_dir("../themes/$file")) {
                          $themelist .= "$file/";
                  }
        }
        closedir($handle);
        $themelist = explode("/", $themelist);
        sort($themelist);
        for ($i=0; $i < sizeof($themelist); $i++) {
                 if($themelist[$i]!="") {
                echo "<option name=\"def_theme\" value=\"$themelist[$i]\" ";
                        if($themelist[$i]==$def_theme) echo "selected";
                        echo ">$themelist[$i]\n";
                }
        }
        echo "</select>&nbsp;</p>";
    ?>
        </td>
    </tr>
        <tr><td><p STYLE="text-align: right;"> Les utilisateurs peuvent changer de thème.
            <input type="checkbox" name="chgt_theme" <?php if (isset($etab_chgt_theme) and ($etab_chgt_theme==1)) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
 <!-- pour filtrer les thèmes élèves-->
      <tr><td><p STYLE="text-align: right;"> Les élèves ne voient que les thèmes dont le nom débute par e_ (ex : e_ete).
            <input type="checkbox" name="theme_eleve_limite" <?php if (isset($etab_theme_eleve_limite) and ($etab_theme_eleve_limite==1)) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>

    <tr><td >
       <p STYLE="text-align: right;">Avoir des menus en CSS, sans boutons graphiques.
       <input type="checkbox" name="menus_CSS" <?php if (@$etab_menus_CSS==1) echo 'checked';  ?>>&nbsp;
       </p></tr>
    <tr><td>&nbsp;</td></tr>
    <tr><td class="rubrique">
            <p>
            <B>Aide en ligne (lien activé par le point d'interrogation)</B> </p>
        </td>
    </tr>    
    <tr><td><p STYLE="font-size :x-small;font-style : italic;text-align: center;" >Saisissez ci-dessous les URL spécifiques à l'établissement (si une URL est vide, l'URL académique sera donnée à la place)
    <br />Si vous cochez la case <b>pas d'aide xyz</b>, aucune URL ne sera proposée à xyz !
    </p></td></tr>
    <tr><td >
       <p STYLE="text-align: right;">URL d'aide spécifique pour les élèves&nbsp;:
       <input type="text" name="URLaideeleve" 
       <?php 
       if (@$etab_URL_aide_eleve!="") echo "value=\"$etab_URL_aide_eleve\"";  
       else echo "value=\"\"";
       ?>
       size=75 maxlength=255>&nbsp;<br/>Pas d'aide élève <input type="checkbox" name="pasdaideleve"
       <?php  if (@$etab_pas_aide_eleve==1) echo "checked"; ?>>&nbsp;
       </p></tr>
    <tr><td >
       <p STYLE="text-align: right;">URL d'aide spécifique pour les professeurs&nbsp;:
       <input type="text" name="URLaideprof" 
       <?php 
       if (@$etab_URL_aide_prof!="") echo "value=\"$etab_URL_aide_prof\"";
       else echo "value=\"\"";  
       ?>  
       size=75 maxlength=255>&nbsp;<br/>Pas d'aide prof <input type="checkbox" name="pasdaideprof"
       <?php  if (@$etab_pas_aide_prof==1) echo "checked"; ?>>&nbsp;
       </p></tr>              
    <tr><td >
       <p STYLE="text-align: right;">URL d'aide spécifique pour les admins&nbsp;:
       <input type="text" name="URLaideadmin" 
       <?php 
       if (@$etab_URL_aide_admin!="") echo "value=\"$etab_URL_aide_admin\"";
       else echo "value=\"\"";  
       ?>  
       size=75 maxlength=255>&nbsp;<br/>Pas d'aide admin <input type="checkbox" name="pasdaideadmin"
       <?php  if (@$etab_pas_aide_admin==1) echo "checked"; ?>>&nbsp;
       </p></tr>
       

  <tr><td>&nbsp;</td></tr>
    <tr><td class="rubrique">
            <p>
            <B>Sécurité</B> </p>
        </td>
    </tr>    
  <tr><td><p STYLE="font-size :x-small;font-style : italic;text-align: center;" >Pour prévenir que toutes leurs connexions sont enregistrées</p></td></tr>
 	<tr><td >
       <p align="right">Message d'avertissement élèves &nbsp;:
       <input type="text" name="avertissement" <?php if (@$etab_avertissement!="") echo "value=\"$etab_avertissement\"";  ?>  size=100 maxlength=150>&nbsp;
       </p></tr>    
    <tr><td><p>&nbsp;</p></td></tr> 
 
    <tr><td class="rubrique">
            <p><b>Les niveaux à afficher.</b></p>
        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Présentation aux élèves des items de <?php echo $MODULE; ?>&nbsp;:
            <select name="etab_niveau" size="1">
            <option value="niv1" <?php if ($etab_niveau=="niv1") echo 'selected'; print ">".getlibellenivo("niv1"); ?>
            <option value="niv2" <?php if ($etab_niveau=="niv2") echo 'selected'; print ">".getlibellenivo("niv2"); ?>
            <option value="niv3" <?php if ($etab_niveau=="niv3") echo 'selected'; print ">".getlibellenivo("niv3"); ?>
            <option value="niv12" <?php if ($etab_niveau=="niv12") echo 'selected'; print ">".getlibellenivo("niv12"); ?>
            <option value="niv23" <?php if ($etab_niveau=="niv23") echo 'selected'; print ">".getlibellenivo("niv23"); ?>
            <option value="niv123" <?php if ($etab_niveau=="niv123") echo 'selected'; print ">".getlibellenivo("niv123"); ?>
            </select>&nbsp;</p>
         </td>
    </tr>
    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td class="rubrique">
            <p><b>Validation des items</b></p>
        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Nombre de validations nécessaires pour chaque item :
            <input type="text" name="etab_nb_validations" value="<?php echo $etab_nb_validations; ?>" maxlength="2" size="2">&nbsp;
            <input type="hidden" name="old_nb_validations" value="<?php echo $etab_nb_validations; ?>" >
            </p>
        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Dur&eacute;e de vie maximale d'une demande sans r&eacute;ponse (en jours) :
            <input type="text" name="etab_nbj_vie_demande" value="<?php echo $etab_nbj_vie_demande; ?>" maxlength="2" size="2">&nbsp;
            <input type="hidden" name="old_nbj_vie_demande" value="<?php echo $etab_nbj_vie_demande; ?>" >
            </p>
        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Nombre maximal de demandes en cours sur la durée indiquée ci-dessus :
            <input type="text" name="etab_nb_max_demandes" maxlength="2" size="2" value="<?php echo $etab_nb_max_demandes; ?>">&nbsp;
            </p>
        </td>

    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Nombre maximal de refus pour supprimer une demande d'élève :
            <input type="text" name="etab_nb_max_refus" maxlength="2" size="2" value="<?php echo $etab_nb_max_refus; ?>">&nbsp;<br />
            (0 indique que cette option ne sera pas utilisée.
            <input type="hidden" name="old_max_refus" value="<?php echo $etab_nb_max_refus; ?>">

            </p>
        </td>

    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Les élèves sont prévenus s'ils envoient une demande sans message.
            <input type="checkbox" name="alert_message_vide"  <?php if ($etab_alert_message_vide==1) echo "checked";  ?>>&nbsp;
            </p>
        </td>

    </tr>
    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td class="rubrique">
            <p>
            <b>Acc&egrave;s à <?php echo $MODULE; ?></b>
            </p>
        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">&nbsp;Mod&egrave;le de login élève (exemple : ppp.nnn)
                   <input type="text" name="etab_modele_login_e" size=42  maxlength=20
                   value="<?php print $etab_modele_login_e; ?>"
                   onblur="verifmodele('etab_modele_login_e')">&nbsp;<br>
            <font size="2" face="Arial">
            [p] prénom, [n] nom, [d] division, [b] date naiss, [.-,_] séparateurs.
            </font>
            </p>
         </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">&nbsp;Mod&egrave;le de login prof (exemple : pn)
            <input type="text" name="etab_modele_login_p"  size=22 maxlength=20
                   value="<?php print $etab_modele_login_p; ?>"
                   onblur="verifmodele('etab_modele_login_p')">&nbsp;<br>
                   <font size="2" face="Arial">
            [p] prénom, [n] nom, [d] discipline, [b] date naiss, [.-,_] séparateurs.
            </font>
            </p>
         </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Les &eacute;l&egrave;ves peuvent changer leur mot de passe.
            <input type="checkbox" name="mdp_eleve" <?php if ($etab_mdp_eleve==1) echo "checked";  ?>>&nbsp;</p>
        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Les professeurs peuvent changer leur mot de passe.
            <input type="checkbox" name="mdp_prof" <?php if ($etab_mdp_prof==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Les professeurs acc&egrave;dent &agrave; leur fiche
            de configuration.
            <input type="checkbox" name="fiche_profs" <?php if ($etab_fiche_profs==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Les professeurs ont acc&egrave;s aux tableaux d'avancement par classe.
            <input type="checkbox" name="stats_profs" <?php if ($etab_stats_profs==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Les professeurs peuvent valider rapidement les demandes dans une pop-up.
            <input type="checkbox" name="pop_profs" <?php if ($etab_pop_profs==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p STYLE="text-align: right;">Les professeurs vouvoient les élèves.
            <input type="checkbox" name="vouvoyer_elev" <?php if ($etab_vouvoyer_elev==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>

    <tr><td>
            <p STYLE="text-align: right;">Pour améliorer la sécurité, limiter le temps de passage d'une page à la suivante (entre <?php echo $SESS_TIMEOUT_MIN,' et ',$SESS_TIMEOUT_MAX ?> secondes).
            <input type="text" name="temps_limite" value="<?php if (isset($etab_sess_timeout)) echo $etab_sess_timeout; else echo $SESS_TIMEOUT_MIN ?>" maxlength="6" size="6">&nbsp;
            </p>
        </td>
    </tr>
 <tr><td><p STYLE="text-align: right;"><b>Tous les professeurs</b> peuvent valider des items sans demande préalable des élèves.
            <input type="checkbox" name="valid_tous" <?php if (@$etab_valid_tous==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>    
    <tr><td><p>&nbsp;</p></tr>
    <tr><td class="rubrique">
            <p>
            <b>Privil&egrave;ges des professeurs "administrateurs"</b>
            </p>
        </td>
    </tr>
    <tr><td><p STYLE="text-align: right;">Les professeurs administrateurs ont accès à la validation des items sans demande des élèves.
            <input type="checkbox" name="valid_profs" <?php if ($etab_valid_profs==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td><p STYLE="text-align: right;">Les professeurs administrateurs ont accès aux résultats individuels des élèves.
            <input type="checkbox" name="result_profs" <?php if ($etab_result_profs==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td><p STYLE="text-align: right;">Les professeurs administrateurs peuvent (en plus du peuplement) créer ou supprimer des groupes.
            <input type="checkbox" name="groupes_profs" <?php if (@$etab_groupes_profs==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
  
    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr><td align="center">
            <input type="submit" class="coul" name="btn_sauver" value="Sauvegarde des paramètres">
            <input type="reset" class="coul" name="btn_reset" value="Valeurs précédentes">
        </td>
    </tr>
<!--    <tr><td align="center">
            <input type="submit" class="coul" name="btn_poursuivre" value="Poursuivre sans modifier">
        </td>
    </tr>          --> <!--inutile  retour par le bouton général-->
    </table></div>
    </form>
<?php
//pour ne pas troubler l'interpréteur php par cet include bizarre
?>