<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include_once('CAS-1.3.1/eoleCAS.php');
include_once('configCAS/cas.inc.php');

EolephpCAS::client(__CAS_VERSION,__CAS_SERVER,__CAS_PORT,"",false);

// Validation du certificat (Maj pour phpCAS 1.3.1)
if (__CAS_VALIDER_CA) {
    EolephpCAS::setCasServerCACert(__CAS_CA_LOCATION); // vérification par rapport à la CA
} else {
    if (method_exists("EolephpCAS", "setNoCasServerValidation")){
        EolephpCAS::setNoCasServerValidation();
    }
}

$url = str_replace('cas_logout.php', 'index.php?CAS=1', $_SERVER['SCRIPT_URI']);
EolephpCAS::logout(array("url"=>$url));
?>