<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Stéphanie Roussel, Jean-Marie Treins
(CATICE Académie de Bordeaux)

This file is part of Gibii/Melia.

Gibii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/pdf.inc.php");
include("../include/get.inc.php");
require_once("../include/define.inc.php");
include("../include/attestations.inc.php");
opensession("Gest",false);
print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Attestations</title>
<meta name="generator" content="amaya">
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
<base target="_self">
<?php include("../include/utiljs.php"); ?>
</head>
<?php
print "<body class='arialgest'>";
//ICI pas de classe, on cherche tous les anciens élèves !
include("../themes/".$etab_theme."/f_diplome.php");

//========================================================
//Recherche des élèves ayant le b2i
//Choix du niveau de brevet ?
$brevet_no=$etab_niveau;
//Choix du format
if (!isset($chk_format)) $chk_format='A5';
$PHP_SELF=basename($_SERVER['PHP_SELF']);
//Choix du niveau à afficher
if (!isset($niv)) {
print "<p>";
switch ($brevet_no)  {
 case 'niv1': $niv="1"; break;
 case 'niv2': $niv="2"; break;
 case 'niv3': $niv="3"; break;
 case 'niv12':
      $niv='';
      print "<form name='formniv' method='post' action='".$PHP_SELF."'>\n";
      print "<p align='center'>Choisissez le niveau à visualiser / imprimer : ";
      print "<select name='niv' value='' size='1'>\n";
      print "  <option value='1'>".getlibellenivo('niv1')."</option>\n";
      print "  <option value='2'>".getlibellenivo('niv2')."</option>\n";
      print "</select>&nbsp;&nbsp;\n";
      print "<input type='hidden' name='statut' value='$statut'>";
      print "<input type='hidden' name='chk_format' value='$chk_format'>";
      print "<input class='coul' type='submit' class='coul' name='btn_niv' value='Choix du Niveau'></p>\n";
      exit;
 case 'niv23':
      $niv='';
      print "<form name='formniv' method='post' action='".$PHP_SELF."'>\n";
      print "<p align='center'>Choisissez le niveau à visualiser / imprimer : ";
      print "<select name='niv' value='' size='1'>\n";
      print "  <option value='2'>".getlibellenivo('niv2')."</option>\n";
      print "  <option value='3'>".getlibellenivo('niv3')."</option>\n";
      print "</select>&nbsp;&nbsp;\n";
      print "<input type='hidden' name='statut' value='$statut'>";
      print "<input type='hidden' name='chk_format' value='$chk_format'>";
      print "<input type='submit' class='coul' name='btn_niv' value='Choix du Niveau'></p>\n";
      exit;
 case 'niv123':
      $niv='';
      print "<form name='formniv' method='post' action='".$PHP_SELF."'>\n";
      print "<p align='center'>Choisissez le niveau à visualiser / imprimer : ";
      print "<select name='niv' value='' size='1'>\n";
      print "  <option value='1'>".getlibellenivo('niv1')."</option>\n";
      print "  <option value='2'>".getlibellenivo('niv2')."</option>\n";
      print "  <option value='3'>".getlibellenivo('niv3')."</option>\n";
      print "</select>&nbsp;&nbsp;\n";
      print "<input type='hidden' name='statut' value='$statut'>";
      print "<input type='hidden' name='chk_format' value='$chk_format'>";
      print "<input type='submit' class='coul' name='btn_niv' value='Choix du Niveau'></p>\n";
      exit;
      }
} // fin du choix du niveau qui est maintenant affecté    en 1 ou 2 ou autre...
print "</p>";

$conn  = connecte($host, $user, $mdp, $db);

print "<p class='sous_titre'>Etat des attestations \"".getlibellenivo($niv)."\" obtenues par les anciens élèves :</p>";

//Préparation d'un tableau des élèves pour cette classe
$reseleves=query("select distinct eleves.* from eleves, brevets
                  WHERE eleves.eleve_id=brevets.eleve_id
                  AND eleves.etab_id=$etab_id
                  AND brevets.niveau=$niv
                  AND eleves.annee<'$sess_ascol'
                  order BY nom, prenom;");
$nbelev=0;  //comptage des élèves
creertousrep("$DATA/$etab_rne/diplomes/");

print "<div class=\"avis\">\n";
print "Vous pouvez éditer ici les attestations des utilisateurs n'ayant pas été incorporés depuis un an ou plus. <br />";
print "L'<b>année</b> de référence indiquée est celle du mois de rentrée de leur dernière année scolaire dans cet établissement.";
print "<br />Il vous suffit de cliquer sur le nom de l'élève dont vous souhaitez imprimer l'attestation.";
print "<br /></div>\n";

print "<p></p><center><table border='1' width='600' >\n";
print "<tr class='rubrique'>\n";
print "\t<td class='centre'>Année</td><td class='centre'>Elèves</td></tr>";

while ($rowelev=mysql_fetch_array($reseleves)) {
  $eleid=$rowelev["eleve_id"];
  $elnom=$rowelev["nom"];
  $elprenom=$rowelev["prenom"];
  $dnaiss=$rowelev["dnaiss"];
  $annee=$rowelev["annee"];
  $nbelev++;
  $cl=($nbelev%2==0) ? "paire" : "impaire";
  $ligne="<tr class=$cl><td>&nbsp;".$annee."</td><td>\n";
  //$ligne.="<a href=\"imprimer_diplomes.php?mode=un&nom=".urlencode($elnom)."&prenom=".urlencode($elprenom)."&divcod=$divcod&niv=$niv&elid=".$eleid."&chk_format=$chk_format\" target=_blank >&nbsp;";
  $ligne.="<a href=\"imprimer_diplomes.php?mode=un&nom=".urlencode($elnom)."&prenom=".urlencode($elprenom)."&niv=$niv&elid=".$eleid."&chk_format=$chk_format\" target=_blank >&nbsp;";
  $ligne.=$elnom." ".$elprenom." ".$dnaiss."</a></td></tr>\n";
  print $ligne;  
  }
print "</table><br />";

print "<center><table border=\"0\" width='40%'>";
if ($nbelev==0) print "<tr ><td class='indente encadre_loin impaire' >Aucun ancien élève n'a le niveau demandé.</td>";
else print "<tr ><td class='indente encadre_loin impaire' >$nbelev anciens élèves ayant l'attestation \"".getlibellenivo($niv)."\"</td>";
print "</tr></table></center>";

?>

<p>&nbsp;</p>

</body>

</html>