<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

//on vient la première fois de admin_bas.php
//on reste dans ce script jusqu'à l'appui sur le bouton retour du formulaire.

require ("../include/vars_adm.php");
require ("../include/util.inc.php");
require ("../include/utiljs.php");
opensession("Admin",false);
connecte($host,$user,$mdp,$db);

//pour que le S ne prime pas sur le P, page suivante
unset($_SESSION['typefic']);
unset($_SESSION['purgefic']);
unset($_SESSION['razmdp']);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN">
<HTML>
<HEAD>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<link rel="stylesheet" href="../themes/<?php print $etab_theme; ?>/b2i.css">
<script language="JavaScript">
    function soumettre(rad) {
       if (rad[0].checked || rad[1].checked)
           return true;
       else {
           alert('Choisissez txt ou dbf');
           return false;
           }
       }
</script>
</HEAD>
<BODY class="arialadmin"  onload="document.choixfichiers.typefic[1].focus();">
<p class="sous_titre" align="center">
Incorporation des utilisateurs : </p><hr>
<H2>Type des fichiers :</h2>
<p>Cette page permet d'incorporer facilement les caract&eacute;ristiques des &eacute;l&egrave;ves et des enseignants
   dans la base de données de <?php echo $MODULE; ?>.
<br>Vous pouvez y revenir librement et <strong>incorporer</strong> un, plusieurs ou tous les fichiers, en une seule fois ou en plusieurs fois.
<br>Vous pouvez aussi <strong>repasser</strong> un fichier qui a &eacute;t&eacute; compl&eacute;t&eacute; (la fusion se fera sans doublon).
<br />Vous pouvez enfin utiliser cette page pour effectuer la <strong>bascule</strong> (changement d'année scolaire).</p>
<p><i>Consultez la documentation (fichier PDF) pour plus de d&eacute;tails.</i></p>

<p><font size="4"><b>
Choisissez&nbsp;le&nbsp;type&nbsp;des&nbsp;fichiers&nbsp;que&nbsp;vous&nbsp;allez&nbsp;utiliser&nbsp;pour&nbsp;l'incorporation :
</b></font></p>
<form method="post" name="choixfichiers" action="upload_txt_dbf.php" onsubmit="return soumettre(this.typefic);">
    <table border="1" width="60%">
        <tr>
            <td width="573">
                <p><input type="radio" name="typefic" value="txt" checked="checked" />  un ou deux fichiers textes (eleves.txt, profs.txt)</p>
                <p><input type="radio" name="typefic" value="dbf" />  un ou plusieurs fichiers dbf&nbsp;(F_ELE.DBF, F_WIND.DBF, F_MEN.DBF).</p>
            </td>
        </tr>
    </table>
    <p><font size="4"><b>
    Option :
    </b></font></p>
<table border="1" width="80%">
    <tr>
        <td class="attention" >
            <p><input type="checkbox" name="purgefic" checked="checked"> Par sécurité, ces fichiers ne seront pas conservés sur le serveur </p>
        </td>
    </tr>
</table>
<p><input type="submit" class="coul" name="bouton" value="Page suivante...">
</p>
</form>
</body>
</html>