<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

//cette page est affichée en nouvelle fenêtre (popup max qui s'ouvre dans un onglet pour certaines configs du navigateur)

include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/utiljs.php");
include("./enluminures.inc.php");
opensession('Admin',true);


if (isset($_GET['mode']) ) {
 	header('Expires: 0');
 	if (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE')!== false)
 		{
 		header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
 		header('Pragma: public');
 		}
    /*   	
	else {
 		header('Pragma: no-cache');
 		header('Content-Type: application/octet-stream');
 		}
 		*/
}

$res_pdf=array();
$data=array();

//affichage des élèves
//====================
$resmdp=query("SELECT divers_id, motcle, vrac, nom, prenom, login, divcod 
				FROM divers
				LEFT JOIN eleves ON eleves.eleve_id=divers.id 
				LEFT JOIN comptes ON comptes.compte_id=eleves.compte_id
				LEFT JOIN classes ON classes.classe_id=eleves.classe_id
				WHERE divers.etab_id=$etab_id
				AND motcle = 'mdpeleves'
				ORDER BY divcod,nom,prenom");
$divcod_old='';
if (mysql_num_rows($resmdp)>0) {
	if ($mode=="csv") {
		entete("Liste des mots de passe aléatoires des comptes");
		print "<p> ".mysql_num_rows($resmdp)." Elèves</p>";
		}
	while (list($divers_id, $motcle, $vrac, $nom, $prenom, $login, $divcod)=mysql_fetch_array($resmdp)) {
		$mdp=base64_decode(stripslashes($vrac));
	  	//$divcod puis les $nom, $prenom 
	  	// afficher l'élève ?
	  	//----------------	
	  	if ($mode=="csv") print "<br />$divcod; $nom; $prenom; $login; $mdp";
	 	//Pour le pdf
	  	$data[0]=$divcod;
	  	$data[1]=$nom;
	  	$data[2]=$prenom;
	  	$data[3]=$login;
	  	$data[4]=$mdp;	
	  	$res_pdf[]=$data;
	}  
}	
//affichage des profs
//====================
$resmdpp=query("SELECT divers_id, motcle, vrac, nom, prenom, libelle, login 
				FROM divers
				LEFT JOIN profs ON profs.prof_id=divers.id 
				LEFT JOIN comptes ON comptes.compte_id=profs.compte_id
				LEFT JOIN disciplines ON disciplines.disc_id=profs.disc_id
				WHERE divers.etab_id=$etab_id
				AND motcle = 'mdpprofs'
				ORDER BY nom,prenom");
if (mysql_num_rows($resmdpp)>0) 	{
	if ($mode=="csv") {
		entete("Liste des mots de passe aléatoires des comptes");
		print "<p> ".mysql_num_rows($resmdpp)." Professeurs</p>";			
		}
	while (list($divers_id, $motcle, $vrac, $nom, $prenom, $libelle, $login)=mysql_fetch_array($resmdpp)) {
		$mdp=base64_decode(stripslashes($vrac));
		//Afficher le prof
		if ($mode=="csv") print "<br />$libelle; $nom; $prenom; $login; $mdp;";	
		//Pour le pdf
	  	//$data[0]=$libelle;
	  	$data[0]="Professeur";
	  	$data[1]=$nom;
	  	$data[2]=$prenom;
	  	$data[3]=$login;
	  	$data[4]=$mdp;	
	  	$res_pdf[]=$data;	
	}
}
//Fabrication du PDF
$line_pdf=count($res_pdf);
if ($mode=="pdf") include("mdp2pdf.php");

//virer les données de la table
//=============================
query("DELETE FROM divers WHERE etab_id=$etab_id AND motcle LIKE 'mdp%'");


enqueue();
?>