<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/utiljs.php");
include("../include/vars_adm.php");
include("../include/util.inc.php");
$PHP_SELF=basename($_SERVER['PHP_SELF']);
$statut=$_REQUEST['statut'];
opensession($statut,false);
?>
<?php
    print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
   <title>modif_items perso</title>
   <BASE TARGET="_self">
   <link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">

</head>

<?php

connecte($host, $user, $mdp, $db);

print "<BODY class=\"arialadmin\">";

//$brevet_no=3;
$libnivo=array(1=>"école","collège","lycée - CFA");

if (!isset($envoi)) { //premier passage
   print "<p class='sous_titre' align='center'>Gestion des libellés des items présentés aux élèves</p><hr>";

   print "<p class=avis5>Vous pouvez saisir un libellé personnalisé, qui sera affiché sur la page \"élève\"<br>";
   print "Par contre le libellé \"institutionnel\" (celui du B.O.), et le libellé \"simplifié\" (notre proposition de simplification) sont en lecture seule.<br>";
   print "Notez bien qu'il ne s'agit que de faciliter la compréhension du texte des items par les élèves, ";
   print "et que tous les documents imprimés contiennent les libellés \"officiels\" !</p><br />";



   if (!isset($brevet_no)) {
      $action=$PHP_SELF."?statut=$statut";
      print "<div align='center'><table border='0' width='80%'><tr>";
      print "<form name='niveau' target='_self' method='post' action=\"$action\">";
      print "<td width='60%'><p class='libelle_prof'>\n";
      print "Choisissez d'abord le niveau du brevet à traiter";
      print "</td><td>";
      print "<p align='center'><select name='brevet_no' size=\"1\"   \n>";
      for ($i=1;$i<4;$i++) {
          if ($MODULE=="GiBii") print "<option value=\"$i\" >".$libnivo[$i]."</option>\n";
              else  print "<option value=\"$i\" >Niveau $i</option>\n";
          }
      print "</select></td>\n";
      print "<td><input type=\"submit\" class=\"coul\" name=\"btn_niv\" value=\"Envoi\">";
      print "</td></tr>";
      print "</form>";
      print "<tr>";
      print "</table></div>";
      print "<hr>";
   }
   else {
      //là, le niveau est choisi dans $brevet_no
      print "<div align='center'><table border='0'  width='90%'><tr>";
      print "<td><p class='libelle_prof'>";
      print "Vous pourrez modifier les libellés, supprimer ou ajouter des items.<br><br>";
      print "Choisissez la rubrique à traiter :</p>";
      print "</td><td>";

      //obtenir les rubriques du brevet $brevet_no
      $resrub=query("select rubriques.*, count(*) as nbitems ".  //nb d'items/rubrique
              "from rubriques,items ".
              "where rubriques.rub_no=items.rub_no ".
              " and brevet_no=$brevet_no ".
              "group by rubriques.rub_no ".
              "order by rubriques.rub_no;");

      $action=$PHP_SELF."?statut=$statut";
      //print $action."<br>";
      print "<form name=\"choix_rub\" target=\"_self\" method=\"POST\" action=\"$action\"> ";
      print "<p align=\"center\"><select name='rub_no' size=\"1\">";

      while ($rowrub=mysql_fetch_array($resrub)) {
            $nbitems=$rowrub["nbitems"];
            $rub_no=$rowrub["rub_no"];
            $lib=$rowrub["libelle"];
            if (strlen($lib)>65) $lib=substr($lib,0,60)."...";
            print "<option value=\"$rub_no\" >".$lib;
            }
       print "</select>";
       print "<input type='hidden' name='brevet_no' value=\"$brevet_no\">";
       print "<br><br><input type=\"submit\" class=\"coul\"  name=\"envoi\" value=\"Choisir\">";
       print "</form>";
       print "</p>";
       print "</td></tr></table></div>";
       print "<hr>";
       } //fin choix niveau et rubrique

}  else {  //traitement du formulaire   = 2° et 3° passages

   if (!isset($sauver))     { // 2° passage formulaire
       //print "vous avez choisi la rubrique numéro $rub_no";
       //obtenir les items de la rubrique $rub_no
       $resit =query("select items.item_id, brevet_no, s_rub_no, ".
          " inst, base from items, libelles ".
          " WHERE rub_no=$rub_no AND ".
          " items.item_id=libelles.item_id ".
          " ORDER BY s_rub_no;");

         //Récupérer le libellé de la rubrique pour le titre
         $resrub=query("SELECT libelle FROM rubriques WHERE rub_no=$rub_no;");
         list($libelle)=mysql_fetch_array($resrub);

         print "<p class='sous_titre' align='center'>Modifications des items de \"<i><font color= 'Maroon' >$libelle</font></i>\"</p>";

         $action=$PHP_SELF."?statut=$statut&envoi=$envoi";
         //print $action."<br>";
         print "<form name=\"traiter\" target=\"_self\" method=\"POST\" action=\"$action\"> ";

         //Préparation tableau
         print "<table border='1' align='center' width='90%'>";
         print "<tr class=\"rubrique\"><td>N° d'item</td><td>Libellé institutionnel</td><td>Libellé simplifié</td><td>Libellé personnel</td></tr>";
         $nbit=0;
         print  "<input type=\"hidden\" name=\"rub_no\" value=$rub_no>";
         while ($rowit=mysql_fetch_array($resit)) {
               $item_id=$rowit["item_id"];
               $brevet_no=$rowit["brevet_no"];
               $s_rub_no=$rowit["s_rub_no"];
               $inst=$rowit["inst"];
               $base=$rowit["base"];
               $nbit++;

               //Stockage n° item et
               print  "<input type=\"hidden\" name=\"item_id[]\" value=$item_id>";

               //Recherche d'un item personnalisé
               $resperso=query("SELECT libelle FROM libelles_perso WHERE item_id=$item_id and etab_id=$etab_id;");
               if ($rowperso=mysql_fetch_array($resperso)) {
                   $perso=$rowperso["libelle"];
                   $perso_affecte[$item_id]=1;
                    }
                    else {
                    $perso="";
                    $perso_affecte[$item_id]=0;
                    }

               //Affichage une ligne du tableau
               print "<tr align=\"center\">\n";
               print "<td>$s_rub_no</td>\n";
               print "<td><textarea readonly class=\"admin\" name=\"inst[$item_id]\" rows=\"4\" cols=35 >$inst</textarea></td>\n";
               print "<td><textarea readonly class=\"admin\" name=\"base[$item_id]\" rows=\"4\" cols=35 >$base</textarea></td>\n";
               print "<td><textarea class=\"adminblue\" name=\"perso[$item_id]\" rows=\"4\" cols=35 >$perso</textarea></td>\n";
               print "</tr>";
               } //Fin lecture des items
          //Fin tableau
          print "</table>";

          print  "<input type=\"hidden\" name=\"nb_items\" value=$nbit>";
          print "<br><p align=\"center\"><input type=\"submit\" class=\"coul\" name=\"sauver\" value=\"Sauvegarde\"></p>";
          print "</form>";
    } //fin 2° passage, tout est prêt pour faire le boulot
    else { //3° passage, entrée par le bouton sauvegarde, sauver est affecté

    //Message pour l'info finale :
    $message="";
    //On va sauver en même temps le nouveau num de sous rubrique
    $s_rub_no_new=1;

    for($i=0;$i<$nb_items;$i++) {
        //Sauvegarde tous libellés
        //$message=$message."  Sauvegarde libellés item n° ".$item_id[$i];
        $sql_modif="UPDATE libelles ".
                  "SET inst='".secs($inst[$item_id[$i]])."', ".
                  "base='".secs($base[$item_id[$i]])."' ".
                  "WHERE item_id=".seci($item_id[$i]);
        /*
        //ATTENTION ICI ON NE SAUVE PLUS LES LIBELLES !!! jm 09-2007
		if (query($sql_modif))   $message=$message." ... \t OK \n";
               else print "<br><font color='red'>la demande a échoué.</font> Essayez plus tard...";
        */
        //Sauvegarde perso s'il existe
        if ($perso[$item_id[$i]]!="") {
            //tester s'il est déjà dans libelles_perso ?
            $id=$item_id[$i];
            $libperso=$perso[$item_id[$i]];
            $resperso=query("SELECT libelle FROM libelles_perso WHERE item_id=$id and etab_id=$etab_id;");
            $message=$message."  Sauvegarde libellé personnalisé pour l'item n° $id";
            if ($rowperso=mysql_fetch_array($resperso)) {
                //Faire juste la mise à jour
                $sqlupdt="UPDATE libelles_perso ".
                    " SET libelle='".secs($libperso)."' ".
                    " WHERE item_id=".seci($id )." and etab_id=$etab_id;";
                }   else  {
                $sqlupdt="INSERT INTO libelles_perso ".
                    " SET libelle='".secs($libperso)."', ".
                    " item_id=".seci($id)." , etab_id=$etab_id;";
                }
             $respersav=query($sqlupdt);

        }  else  { //Là le perso est vide, donc à traiter aussi
            if ($perso_affecte[$item_id[$i]]=1)  {
                $id=$item_id[$i];
                //il faut donc virer cet item perso là !
                $sql_delperso="DELETE FROM libelles_perso ".
                    " WHERE item_id=".seci($id )." and etab_id=$etab_id;";
                $res_delperso=query($sql_delperso);
                }


            } //Fin sauver perso

        } //fin boucle for

    //On affiche le tableau des résultats ???
    $resit =query("select items.item_id, brevet_no, s_rub_no, ".
          " inst, base from items, libelles ".
          " WHERE rub_no=$rub_no AND ".
          " items.item_id=libelles.item_id ".
          " ORDER BY s_rub_no;");
    //print "<p class='sous_titre' align='center'>Résultats de vos modifications :</p>";

    alert("Travail terminé : \n".$message);
    $action="../admin/admin_bas.php?statut=$statut";

    goto_url($action);

    /*
    print "<form name=\"fin\" target=\"_self\" method=\"POST\" action=\"$action\"> ";
    //Préparation tableau
    print "<table border='1' align='center' width='90%'>";
    print "<tr class=\"rubrique\"><td>N° d'item</td><td>Libellé institutionnel</td><td>Libellé simplifié</td><td>Libellé personnel</td></tr>";
    $nbit=0;
    while ($rowit=mysql_fetch_array($resit)) {
               $item_id=$rowit["item_id"];
               $brevet_no=$rowit["brevet_no"];
               $s_rub_no=$rowit["s_rub_no"];
               $inst=$rowit["inst"];
               $base=$rowit["base"];
               $nbit++;
               //Recherche d'un item personnalisé
               $resperso=query("SELECT libelle FROM libelles_perso WHERE item_id=$item_id and etab_id=$etab_id;");
               if ($rowperso=mysql_fetch_array($resperso)) $perso=$rowperso["libelle"];
                    else $perso="";


               //Affichage une ligne du tableau
               print "<tr align=\"center\">\n";
               print "<td>$s_rub_no</td>\n";
               print "<td><textarea readonly=true class=\"admin\" name=\"inst[$item_id]\" rows=\"4\" cols=35 >$inst</textarea></td>\n";
               print "<td><textarea readonly=true class=\"admin\" name=\"base[$item_id]\" rows=\"4\" cols=35 >$base</textarea></td>\n";
               print "<td><textarea readonly=true class=\"admin\" name=\"perso[$item_id]\" rows=\"4\" cols=35 >$perso</textarea></td>\n";
               print "</tr>";
          }
          print "</table>";
    //Fin traitement
    print "<br><p align=\"center\"><input type=\"submit\" class=\"coul\" name=\"retour\" value=\"Retour\"></p>";
    print "</form>";
    */


    }

}//fin 2° et 3° passages

?>

</body>
</html>