<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

include("../include/vars_adm.php");
include("../include/util.inc.php");
include ("../include/utiljs.php");
include("../incorporation/importation.php");
opensession("Admin",true);
$PHP_SELF=basename($_SERVER['PHP_SELF']);

print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
       <title>réinit mdp</title>
       <link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
</head>


<?php
    //Passage 1 Choix
    session_unregister('longalea');
    //print "<br>passage 1 longalea=$longalea";
  if (!isset($choixqui)) {
    print "<body class=\"arialadmin\">";
    print "<form mode='POST' action='$PHP_SELF'>";
    print "<input type='hidden' name='choixqui' value=1>";
    print "<p class='sous_titre'>Réinitialiser les mots de passe :</p>";
    print "<p align='center'><input type='radio' name='radio_qui' value=0>Des professeurs &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
    print "<input type='radio' name='radio_qui' value=1 checked>Des élèves</p>";
    print "<p>&nbsp;</p>";
    print "<p class='sous_titre'>Sur quel modèle :</p>";
    print "<p align='center'><input type='radio' name='modele_mdp' value=0>Date de naissance &nbsp;&nbsp;&nbsp;&nbsp;";
    print "<input type='radio' name='modele_mdp' value=1 checked>Mot de passe aléatoire";
    print "&nbsp;de longueur :&nbsp;<select name=\"longalea\">";
    print "                         <option value=4>4</option>";
    print "                         <option value=5>5</option>";                        
    print "                         <option value=6>6</option>";                        
    print "                         <option value=7>7</option>";
    print "                         <option value=8>8</option>";
    print "                     </select>caractères. </p>";
    print "<p>&nbsp;</p>";
    print "<p align='center'><input class = \"coul\" type='submit' name='btn_qui'></p>";

  } else {
    //print "<br>passage 2 longalea=$longalea";
    
    if ($radio_qui==1) $qui='élèves';
        else $qui='professeurs';
    //Passage 2 Avertissement + params en GET
    if ($choixqui==1) {
    
?>
   <body class="arialadmin"
      onload="if (confirm('Les mots de passe de tous les <?php  echo $qui; ?> vont être changés\n et il faudra les prévenir...\n Etes-vous sûr de vouloir réinitialiser les mots de passe des <?php echo $qui;  ?> ?'))
      location='reinit_mdp.php?op=1&choixqui=2&radio_qui=<?php echo $radio_qui; ?>&modele_mdp=<?php echo $modele_mdp; ?>&longalea=<?php echo $longalea; ?>';
      else location='../admin/admin_bas.php';
      return true;">

<?php
    }
    else {
        //Passage 3 Traitements
        //print "<br>passage 3 longalea=$longalea";
      if (isset($op)) {
      //print "Travail en cours....";
      connecte($host,$user,$mdp,$db);
      
      //On repart propre
      query("DELETE FROM divers WHERE etab_id=$etab_id AND motcle LIKE 'mdp%'");
      
      if ($radio_qui==1) { //Elèves
          $reselv=query("SELECT eleves.eleve_id, dnaiss FROM eleves,comptes ".
                      "WHERE eleves.eleve_id=comptes.eleve_id ".
                      " and eleves.etab_id=$etab_id and eleves.annee='$sess_ascol'".
                      " and comptes.login<>'00000'");
          while (list($elev_id,$dnaiss)=mysql_fetch_array($reselv)) {
          
          if ($modele_mdp==1)       {
            creer_table_divers();
            $mdp1=get_mdp_alea($longalea);  
            $mdp=secs(base64_encode($mdp1));
            query("INSERT INTO divers SET motcle='mdpeleves', id=$elev_id, etab_id=$etab_id, vrac='$mdp'");
            }
          else $mdp1=$dnaiss;
          //print"<br>$elev_id : $mdp";
          $passwd=md5($mdp1);

          //Forcer au changement ???????
          if ($IMPOSE_CHGT_MDP) $chg_mdp=", actif='0' ";
            else $chg_mdp="";
          query("UPDATE comptes SET mdp='$passwd' $chg_mdp WHERE eleve_id=".seci($elev_id));
          }
          } else {  //Profs
          $resprof=query("SELECT profs.prof_id, dnaiss FROM profs,comptes ".
                      "WHERE profs.prof_id=comptes.prof_id ".
                      " and profs.etab_id=$etab_id and profs.annee='$sess_ascol'".
                      " and comptes.login<>'proftest'");
          while (list($prof_id,$dnaiss)=mysql_fetch_array($resprof)) {
           if ($modele_mdp==1) {
             creer_table_divers();
             $mdp1=get_mdp_alea($longalea); 
             $mdp=secs(base64_encode($mdp1));
             query("INSERT INTO divers SET motcle='mdpprofs', id=$prof_id, etab_id=$etab_id, vrac='$mdp'");
             }
           else $mdp1=$dnaiss;
           //print"<br>$prof_id : $mdp";
           $passwd=md5($mdp1);
       
          //Forcer au chgt ???          
          if ($IMPOSE_CHGT_MDP) $chg_mdp=", actif='0' ";
            else $chg_mdp="";
          query("UPDATE comptes SET mdp='$passwd' $chg_mdp WHERE prof_id=".seci($prof_id));
          }
      }

    print "<body class='arialadmin'>\n<br /><p class='avis5 centre '>Réinitialisation  des <b>mots de passe des $qui </b>effectuée...</p><br />";

    if ($modele_mdp==1) {
        print "<p class='avis'>Vous pouvez afficher les mots de passe générés sous l'un des deux formats suivants. Attention, dès que vous aurez activé l'un des deux liens, ils seront effacés et vous ne pourrez plus les afficher. En conséquence, sauvegardez-les ou imprimez-les. Si vous ne le faites pas, la seule solution sera de réintialiser tous les comptes élèves et/ou professeurs dans le menu admin.</p>";
        print "<p class='centre Attention'>En mode CSV, cherchez les mots de passe dans une nouvelle page ou un nouvel onglet</p>";


		//Test mdp aléatoires pour message 
		$existe_alea=mysql_num_rows(query("SELECT divers_id FROM divers WHERE etab_id=$etab_id AND motcle LIKE 'mdp%'"));
        
		print "<table align='center' border=0><tr><td>";
        afficher_mdp_aleatoires("csv","../incorporation/");
        print "</td><td>";
        print "&nbsp;&nbsp;&nbsp;Ou bien (choix exclusif) :&nbsp;&nbsp;&nbsp;";
        print "</td><td>";
        afficher_mdp_aleatoires("pdf","../incorporation/");
        print "</td></tr></table>";
    }
    
    print "<table align='center' border=0><tr><td>";
    print "<form name=\"retour\" method=\"post\" action=\"../admin/admin_bas.php?statut=Admin\">\n";    
    print "<br /><br /><input type=\"submit\" class=\"coul\" name=\"fin\" value=\"Retour\" >\n";
    print "</td></tr></table>";      
    print "</form>";
      
      
      //goto_url("../admin/admin_bas.php");
      
      } //Fin isset($op))
      } //Fin 
}
?>

</body>
</html>