<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Stéphanie Roussel, Jean-Marie Treins
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
    print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
    print "<html><head>";
    print "<meta http-equiv=\"content-type\" content=\"text/html; charset=ISO-8859-1\">\n";
    print "<link rel=\"stylesheet\" href=\"../include/general.css\">";
    print "<title>Création_étab</title>";
    include("../include/utiljs.php");


    if ($action=="creer") {     //valeurs par défaut des paramètres établissement
       $title="Création d'un établissement";
       $cible="creetab.php?action=$action";
       $rne_etab="";
       $type_etab=2;
       $nom_etab="";
       $adresse_etab="";
       $codepost_etab="";
       $ville_etab="";
       $tel_admin="";
       $mail_admin="";
       $theme_etab="argos";
       $chgt_theme=0;
       $niveau_etab="niv2";
       $nbval_etab=1;
       $nbjvie_etab=30;
       $maxdemande_etab=5;
       $maxrefus_etab=0;
       $alert_message_vide=0;
       $modelelogin_elev_etab="ppp.nnnnnnnnnn";
       $modelelogin_prof_etab="pnnnnnnnnnn";
       $mdp_prof_etab=1;
       $mdp_elev_etab=1;
       $fiche_prof_etab=1;
       $stats_prof_etab=1;
       $pop_profs=1;
       $vouvoyer_elev=0;
       //$modifs_items=0;
       $valid_profs_etab=1;
       $result_profs_etab=1;

    } else {  //Charger les données de l'etab_id
       $title="Modification d'un établissement";
       $cible="modifetab.php?action=$action&etab_id=$etab_id";
       $conn  = connecte($host,$user,$mdp,$db);
       $sql="SELECT * ".
             " FROM etablissements,typetab ".
             " WHERE etab_id=$etab_id AND etablissements.type_id=typetab.type_id" ;
       $resetab=query ($sql);
       $rowetab=mysql_fetch_array($resetab);
	   	
       $rne_etab=$rowetab["rne"];
       $type_etab=$rowetab["type_id"];
       $nom_etab=$rowetab["nom"];
       $adresse_etab=$rowetab["adresse"];
       $codepost_etab=$rowetab["codepostal"];
       $ville_etab=$rowetab["ville"];
       $tel_admin=$rowetab["tel_admin"];
       $mail_admin=$rowetab["mail_admin"];
       $theme_etab=$rowetab["theme"];
       $chgt_theme=$rowetab["chgt_theme"];
       $niveau_etab=$rowetab["niveau"];
       $nbval_etab=$rowetab["nb_validations"];
       $nbjvie_etab=$rowetab["nbj_vie_demande"];
       $maxdemande_etab=$rowetab["nb_max_demandes"];
       $maxrefus_etab=$rowetab["nb_max_refus"];
       $alert_message_vide=$rowetab["alert_message_vide"];
       $modelelogin_elev_etab=$rowetab["modele_login_e"];
       $modelelogin_prof_etab=$rowetab["modele_login_p"];
       $mdp_prof_etab=$rowetab["mdp_prof"];
       $mdp_elev_etab=$rowetab["mdp_eleve"];
       $fiche_prof_etab=$rowetab["fiche_profs"];
       $stats_prof_etab=$rowetab["stats_profs"];
       $pop_profs=$rowetab["pop_profs"];
       $vouvoyer_elev=$rowetab["vouvoyer_elev"];
       //$modifs_items_etab=$rowetab["modifs_items"];
       $valid_profs_etab=$rowetab["valid_profs"];
       $result_profs_etab=$rowetab["result_profs"];
    }
    $nom_etab=stripslashes($nom_etab);
    $adresse_etab=stripslashes($adresse_etab);
    $ville_etab=stripslashes($ville_etab);

    ?>

    <script language="javascript">
    function etabestbon() { //vérifie le formulaire avant envoi
    var frm=document.formetab;
    var mdlrne = /^\d{7}[A-Za-z]$/;
    var mdlcp = new RegExp("^[0-9]+$","g");

    var msg="";
    if (!frm.rne_etab.value)
        msg+="   - le RNE est absent\n";
    else if (!mdlrne.test(frm.rne_etab.value))
        msg+="   - le RNE est incorrect\n";
    if (!frm.nom_etab.value)
        msg+="   - le nom de l'établissement est absent\n";
    if (!mdlcp.test(frm.codepost_etab.value))
        msg+="   - le code postal n'est pas un nombre\n";
    if (frm.codepost_etab.value.length!=5)
        msg+="   - le code postal ne contient pas 5 chiffres\n";
    if (!frm.ville_etab.value)
        msg+="   - la ville est absente\n";
    if (frm.niveau_etab.value=="0")
        msg+="   - le niveau n'est pas défini\n";
    if (msg) {
       alert("Formulaire incomplet :\n"+msg);
       return false;
    }
    return true;
    }

    function verifmodele(mindiv) {
        permis="npdb#.-_"; //caractères autorisés dans le modèle
        m=eval("document.formetab."+mindiv+".value");
        //alert(m+' '+m.length);
        if (m.length==0) {
            alert("Le modèle doit au moins comporter un des caractères n,p,d,b,#.");
            return false;
        }
        for (i=0; i<m.length; i++) {
            if (permis.indexOf(m.charAt(i))==-1) {
                alert("Le caractère '"+m.charAt(i)+"' n\'est pas autorisé dans les modèles.");
                return false;
            }
        }
        return true;
    }


    </script>
    </head>

    <body class="arial_sadmin"  onload="document.formetab.rne_etab.focus();">
     <p class = 'titre'><?php echo $title; ?></p>
<!--   <h2 align="center"><?php echo $title; ?></h2>  -->
    <form name="formetab" method="post" action=<?php echo $cible; ?>>
    <input type="hidden" name="style" value="<?php echo $style; ?>">
    <input type="hidden" name="traitetab" value=1>
    <input type="hidden" name="old_rne" value="<?php echo $rne_etab; ?>">

    <table border="1" cellspacing="0" bordercolordark="white" bordercolorlight="black" align="center" width="80%">
    <tr><td class="sadmin_light">
            <p align="center"><font color="white" size="3">
            <b>Param&egrave;tres de l'&eacute;tablissement </b></font></p>
        </td>
    </tr>

    <tr><td>
            <p align="right">Code RNE de l'établissement <i>(7 chiffres suivis d'une lettre) </i>:
            <input type="text" name="rne_etab" maxlength="9" size="9"
                   value="<?php echo $rne_etab; ?>" alt="7 chiffres suivis d'une lettre">
                   
                   
			&nbsp;&nbsp;&nbsp;&nbsp;Type d'établissement :
            <select name="type_etab" size=1>
		 <?php
   			$sqltypetab="SELECT type_id, type, libelle FROM typetab ORDER BY type_id";
   			$ressql=query($sqltypetab);
   			WHILE (list($typid, $typ, $libtyp)=mysql_fetch_array($ressql))  {
   				if ($type_etab==$typid) $sel="selected"; else $sel="";
				print "<option value=$typid $sel>$libtyp";
		
			}
 ?>           
 			</select>                   

    <tr><td>
            <p align="right">Nom de l'&eacute;tablissement : &nbsp;
            <input type="text" name="nom_etab" maxlength="35" size="35"
                   value="<?php echo $nom_etab; ?>"></p>
            <!-- <input type="hidden" name="PARA"
                   value="taratata"></p>  -->

        </td>
    </tr>
    <tr><td>
            <p align="right">Adresse :
            <input type="text" name="adresse_etab" maxlength="35" size="35"
                   value="<?php echo $adresse_etab; ?>"></p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Code postal :
            <input type="text" name="codepost_etab" maxlength="5" size="5"
                   value="<?php echo $codepost_etab; ?>">
            &nbsp;Ville :
            <input type="text" name="ville_etab"
                   value="<?php echo $ville_etab; ?>" maxlength="25" size="25"></p>
        </td></tr>
    <tr><td>
            <p align="right">Coordonnateur GiBii =>&nbsp;&nbsp;&nbsp;&nbsp;messagerie :&nbsp;
           <input type="text" name="mail_admin" maxlength="70" size="50"
                   value="<?php echo $mail_admin; ?>">
			&nbsp;&nbsp;téléphone :&nbsp;
			<input type="text" name="tel_admin" maxlength="15" size="15"
                   value="<?php echo $tel_admin; ?>">	   
				</p>
        </td>
    </tr>      
        

    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td align="center" class="sadmin_light">
            <p><font color="white" size="3"><b>Aspect général</b></font></p>
        </td>
    </tr>
    <tr><td >
            <p align="right">Choix du thème : <select name="theme_etab" size="1">
    <?php
        $def_theme=$theme_etab;
        $themelist="";
        $handle=opendir('../themes');
        while ($file = readdir($handle)) {
                           if ( (!ereg("[.]",$file)) ) {
                                  $themelist .= "$file ";
                           }
        }
        closedir($handle);
        $themelist = explode(" ", $themelist);
        sort($themelist);
        for ($i=0; $i < sizeof($themelist); $i++) {
                           if($themelist[$i]!="") {
                            echo "<option name=\"def_theme\" value=\"$themelist[$i]\" ";
                                   if($themelist[$i]==$def_theme) echo "selected";
                                   echo ">$themelist[$i]\n";
                            }
         }
          echo "</select>&nbsp;&nbsp;</p>";
    ?>
        </td>
    </tr>
   <tr><td>
            <p align="right">Les utilisateurs peuvent changer de thème :
            <input type="checkbox" name="chgt_theme" value="1" <?php if ($chgt_theme==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>    
    <tr><td><p>&nbsp;</p></td></tr>
    
    
    <tr><td align="center" class="sadmin_light">
            <p><font color="white" size="3"><b>Les niveaux de <?php print $MODULE; ?></b></font></p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Présentation aux élèves des items de <?php print $MODULE; ?>&nbsp;: &nbsp;&nbsp;
            <select name="niveau_etab" size="1">
            <option value="0" <?php if ($niveau_etab=="") echo 'selected'; print ">"; ?>Choisissez le niveau
            <option value="niv1" <?php if ($niveau_etab=="niv1") echo 'selected'; print ">".getlibellenivo("niv1"); ?>
            <option value="niv2" <?php if ($niveau_etab=="niv2") echo 'selected'; print ">".getlibellenivo("niv2"); ?>
            <option value="niv3" <?php if ($niveau_etab=="niv3") echo 'selected'; print ">".getlibellenivo("niv3"); ?>
            <option value="niv12" <?php if ($niveau_etab=="niv12") echo 'selected'; print ">".getlibellenivo("niv12"); ?>
            <option value="niv23" <?php if ($niveau_etab=="niv23") echo 'selected'; print ">".getlibellenivo("niv23"); ?>
            <option value="niv123" <?php if ($niveau_etab=="niv123") echo 'selected'; print ">".getlibellenivo("niv123"); ?>
            </select></p>
        </td>
    </tr>
    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td class="sadmin_light">
            <p align="center"><font color="white" size="3"><b>Validation pour <?php print $MODULE; ?></b></font></p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Nombre de validations nécessaires pour chaque item :
            <input type="text" name="nbval_etab" value="<?php echo $nbval_etab; ?>" maxlength="2" size="2">&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Dur&eacute;e de vie maximale d'une demande sans r&eacute;ponse : &nbsp;
            <input type="text" name="nbjvie_etab" value="<?php echo $nbjvie_etab; ?>" maxlength="2" size="2">
            jours&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Nombre maximal de demandes en cours sur la durée indiquée ci-dessus :
            <input type="text" name="maxdemande_etab" maxlength="2" size="2" value="<?php echo $maxdemande_etab; ?>">&nbsp;
            </p>
        </td>

    </tr>
    <tr><td>
            <p align="right">Nombre maximal de refus pour supprimer une demande d'élève :
            <input type="text" name="maxrefus_etab" maxlength="2" size="2" value="<?php echo $maxrefus_etab; ?>">&nbsp;
            <br />(0 indique que cette option ne sera pas utilisée)
            </p>
        </td>

    </tr>
    <tr><td>
            <p align="right">Les élèves sont prévenus s'ils envoient une demande sans message :
            <input type="checkbox" name="alert_message_vide" value="1" <?php if ($alert_message_vide==1) echo "checked";  ?>>&nbsp;
            </p>
        </td>

    </tr>

    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td class="sadmin_light">
            <p align="center">
            <font color="white" size="3">
            <b>Acc&egrave;s à <?php print $MODULE; ?></b>
            </font>
            </p>
        </td>
    </tr>
    <tr><td>
            <p align="right">&nbsp;Mod&egrave;le de login élève (exemple : ppp.nnn)
            <br>
            <font size="2" face="Arial">
            [p] prénom, [n] nom, [d] division, [b] date naiss, [#] chiffre GEP, [.-,_] séparateurs.
            </font>
            <input type="text" name="modelelogin_elev_etab"  size=22 maxlength=20
                   value="<?php print $modelelogin_elev_etab; ?>"
                   onblur="verifmodele('modelelogin_elev_etab')">
            </p>
         </td>
    </tr>
    <tr><td>
            <p align="right">&nbsp;Mod&egrave;le de login prof (exemple : pn)
            <br>
            <font size="2" face="Arial">
            [p] prénom, [n] nom, [d] discipline, [b] date naiss, [#] chiffre GEP, [.-,_] séparateurs.
            </font>
            <input type="text" name="modelelogin_prof_etab"  size=22 maxlength=20
                   value="<?php print $modelelogin_prof_etab; ?>"
                   onblur="verifmodele('modelelogin_prof_etab')">
            </p>
         </td>
    </tr>
    <tr><td>
            <p align="right">Les &eacute;l&egrave;ves peuvent changer leur
            mot de passe : <input type="checkbox" name="mdp_elev_etab" value="1" <?php if ($mdp_elev_etab==1) echo "checked";  ?>>&nbsp;</p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Les professeurs peuvent changer leur mot de passe :
            <input type="checkbox" name="mdp_prof_etab" value="1" <?php if ($mdp_prof_etab==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Les professeurs acc&egrave;dent &agrave; leur fiche
            de configuration :
            <input type="checkbox" name="fiche_prof_etab" value="1" <?php if ($fiche_prof_etab==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Les professeurs ont acc&egrave;s aux tableaux d'avancement par classe
            <input type="checkbox" name="stats_prof_etab"  value="1" <?php if ($stats_prof_etab==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Les professeurs peuvent valider rapidement les demandes dans une pop-up
            <input type="checkbox" name="pop_profs" value="1"  <?php if ($pop_profs==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td>
            <p align="right">Les professeurs vouvoient les élèves
            <input type="checkbox" name="vouvoyer_elev" value="1" <?php if ($vouvoyer_elev==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td><p>&nbsp;</p></tr>
    <tr><td class="sadmin_light">
            <p align="center">
            <font color="white" size="3">
            <b>Privil&egrave;ges des professeurs "administrateurs"</b>
            </font>
            </p>
        </td>
    </tr>
    <tr><td><p align="right">Les professeurs administrateurs ont accès à la validation des items sans demande des élèves
            <input type="checkbox" name="valid_profs_etab" value="1" <?php if ($valid_profs_etab==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>
    <tr><td><p align="right">Les professeurs administrateurs ont accès aux résultats individuels des élèves
            <input type="checkbox" name="result_profs_etab"  value="1" <?php if ($result_profs_etab==1) echo 'checked';  ?>>&nbsp;
            </p>
        </td>
    </tr>

    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr><td align="center">
    <input type="submit" class="coul"
           name="btn_sauver" value="Enregistrement des paramètres"
           onclick="return etabestbon()">
    <input type="reset" class="coul" name="btn_reset" value="Valeurs précédentes">
    </td>
    </tr>
    <tr><td align="center">
    <input type="submit" class="coul" name="btn_retour" value="Retour sans enregistrement">
        </td>
    </tr>
    </table>
    </form>
<?php
//pour ne pas troubler l'interpréteur php par cet include bizarre
?>