<?php
#=
/* tableau décrivant les boutons du menu Sadmin
   ces données sont utilisées par la fonction  poseBouton(&$table,$nombouton)
   définie dans util_inc
   ex : poseBouton($tboutons_sadmin,'options_globales')  
    
    modif dd le 31/01/2007
    ajout du paramètre onclick : lorsqu'il est affecté, onclick sera affecté 
    au lien <a> du programme appelant. Si href="", href sera affecté de javascript:void(0);
*/

$boutons_sadmin = array(


    'options_globales' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_optionac.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => 'Options Globales',
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Options globales",
                    'href'  => "optionac.php?statut=$statut"
                    ),

    'creation_etab' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_centre',
                                'src'             => './images/btn_creetab.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Création d'un Etablissement",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Création d'un établissement à partir d'un formulaire",
                    'href'  => "creetab.php?action=creer&statut=$statut"
                    ),

    'avancement_validations' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_droite',
                                'src'             => './images/btn_result_etab.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Avancement des Validations",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Avancement des validations",
                    'href'  => "stats_etabs.php?statut=$statut"
                    ),

    'modification_items' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_modif_items.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Modification des Items",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Modifications des Items",
                    'href'  => "../outils/modif_items.php?statut=$statut"
                    ),

    'import_utilisateurs' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_centre',
                                'src'             => './images/btn_importutilisat.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Importation d'utilisateurs",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Importation des utilisateurs ",
                    'href'  => "batch_incorporation.php?statut=$statut"
                    ),

    'import_etablissements' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_centre',
                                'src'             => './images/btn_importetab.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Importation d'établissements",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Importation de plusieurs établissements ",
                    'href'  => "genetabs_txt.php?statut=$statut"
                    ),
    'taux_participation' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_droite',
                                'src'             => './images/btn_activite_etab.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Taux de Participation",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Activité des élèves",
                    'href'  => "stats_activite.php?statut=$statut"
                    ),

    'anciens' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_anciens.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Anciens Utilisateurs",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Nettoyage des anciens utilisateurs",
                    'href'  => "sanciens.php?statut=$statut"
                    ),

    'liste_etablissements' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_centre',
                                'src'             => './images/btn_listetab.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Modifier / suppr. étab.",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Liste, modification, suppression d'établissements",
                    'href'  => "listetab.php?statut=$statut"
                    ),

    'maintenance_base' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_maintenance_base.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Maintenance de la Base",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Outils de maintenance de la base",
                    'href'  => "sadmin_bas2.php?statut=$statut"
                    ),
  'erreurs_connexion' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_erreur_connexion.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Erreurs de connexions",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Afficher les erreurs de connexion ",
                    'href'  => "erreurs_logins.php?statut=$statut"
                    ),

    'prise_en_main' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_centre',
                                'src'             => './images/btn_prisetab.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Prise en Main",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Prise en main d'un établissement",
                    'href'  => "prisetab.php?statut=$statut"
                    ),

    'activation_etab' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_centre',
                                'src'             => './images/btn_activer.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Acti./Désactiv. d'un Etab.",
                                'class_a'         => 'bouton_gris'
                                ),
                    'title' => "Activation des établissements",
                    'href'  => "activetab.php?statut=$statut"
                    ),

    'maj_gibii_flou' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_maj_gr.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Mise à jour Gibii",
                                'class_a'         => 'bouton_gris'
                                ),
                    'title' => "Mise à jour de l'application",
                    'onclick' => "alert('Pas de mise à jour de GiBii actuellement.');"
                    ),

    'maj_gibii_clignote' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_maj_cli.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Mise à jour Gibii",
                                'class_a'         => 'bouton_gris'
                                ),
                   'title' => "Mise à jour de l'application",
                    'href'  => "update.php"
                    ),
                    
    'maj_gibii_normal' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_maj.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Mise à jour Gibii",
                                'class_a'         => 'bouton_gris'
                                ),
                    'title' => "Mise à jour de l'application",
                    'href'  => "update.php"
                    ),


    'message_admins' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_centre',
                                'src'             => './images/btn_message.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Message aux Admins",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Message aux administrateurs ",
                    'href'  => "message.php?statut=$statut"
                    ),
                    
   'graph_site' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_centre',
                                'src'             => './images/btn_graph_site.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Graphiques Site",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Bilans graphiques au niveau du site",
                    'href'  => "stats_site.php"
                    ),                    
                    
                    
    'nombre_de_B2I' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_centre',
                                'src'             => './images/btn_nb_b2i_valides.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Nombre de B2I édités",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Nombre de B2I édités par établissements ",
                    'href'  => "stats_nbb2i_etabs.php?statut=$statut"
                    ),

    'sauve_base' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_sauve_sql.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Sauvegarde de la Base",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Sauvegarde de la Base",
                    'href'  => "./sback_traiter.php"
                    ),

    'restaure_base' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_rest_sql.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Restauration de la Base",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Restauration de la Base",
                    'href'  => "./srest_sql.php?statut=$statut"
                    ),


    'optimisation_base' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_optimise.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Optimisation de la Base",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Optimisation de la Base",
                    'href'  => "./optimise.php?statut=$statut"
                    ),

    'verification_base' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_verifcomptes.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "Vérification de la Base",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Outils de vérification de la Base",
                    'href'  => "./choix_verif.form.php?statut=$statut"
                    ),

    'phpmygibii' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_phpmygibii.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "PhpMyGibii",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Recherches et modifications de la Base",
                    'href'  => ""               // à compléter
                    ),

    'phpmygibii_flou' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_phpmygibii_gr.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton',
                                'txt_bouton'      => "PhpMyGibii",
                                'class_a'         => 'bouton_gris'
                                ),
                    'title' => "Recherches et modifications de la Base (à venir)",
                    'href'  => ""               // à compléter
                    ),


    'bouton_vide' => array(
                    'ldap'  => false,
                    'cas'   => false,
                    'gr'    => array(
                                'class_td'        => 'sadmin_gauche',
                                'src'             => './images/btn_vide.gif'
                                ),
                    'css'   => array(
                                'class_td'        => 'bouton_vide',
                                'txt_bouton'      => '',
                                'class_a'         => ''
                                ),
                    'title' => "",
                    'href'  => ""
                    ),
);

?>