<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Stéphanie Roussel, Jean-Marie Treins
(CATICE Académie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/utiljs.php");
$statut="Admin";
opensession($statut,false);
include("tableau_menu_admin.php");  //à mettre après opensession

if (!isset($oui_incertains)) {
    //premier passage dans le menu admin
    //connecte($host,$user,$mdp,$db);
    $oui_incertains=get_oui_incertains();
    }

//<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN">
 ?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Menu admin</title>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css"?>" >
<base target="_self" >
</head>

<body class="arialadmin"  text="black" link="#F9F2E3" vlink="#F9F2E3" alink="red">
<!--  ligne des titres du menu-->
<div align="center"> <table width="95%" border="1" cellspacing="0">
    <tr >
        <td   width="33%" class="titre_admin">
            <p ><?php echo OPCOURANTES; ?></p>
        </td>

        <td   width="33%" class="titre_admin">
             <p><?php echo OPDELICATES; ?></p>
        </td>

        <td  class="titre_admin">
            <p ><?php echo UTILITAIRES; ?></p>
        </td>
    </tr>


<!-- première ligne du menu-->
    <tr>
<!-- Menu Admin Colonne gauche -->
        <td width="33%" class="admin_gauche" >
             <table width="100%" border="0">
                  <tr><?php posebouton($tboutons_admin,'gestion_eleve');?></tr>
                  <tr><?php posebouton($tboutons_admin,'liste_eleve');?></tr>
                  <tr><?php posebouton($tboutons_admin,'gestion_prof');?></tr>
                  <tr><?php posebouton($tboutons_admin,'liste_prof');?></tr>
				                       

             </table>
        </td >
<!-- Menu Admin Colonne centre -->
        <td width="33%" class="admin_centre" >
            <table width="100%" border="0">
                   <tr><?php posebouton($tboutons_admin,'parametres');?></tr>
                   
                   <tr><?php 
                   posebouton($tboutons_admin,'bouton_vide');
				   ?></tr>
				   
                   <tr><?php posebouton($tboutons_admin,'verification_base');?></tr>
                   <?php
                   print "<tr>";
                   if ((!isset($ADM_RESTORE)) || ($ADM_RESTORE==1) || ($sess_statut=="Sadmin")){
                   posebouton($tboutons_admin,'restore');
                   }
                   else posebouton($tboutons_admin,'restore_flou');
                   print "</tr>";
                   ?>                   
            </table>
        </td>

<!-- Menu Admin Colonne droite -->
        <td  class="admin_droite" >
            <table width="100%" border="0">
                   <?php
                   //print $PAS_IMPORT_EXPORT;
                   if (($PAS_IMPORT_EXPORT) && ($sess_statut!="Sadmin")) {
                   print "<tr>";
                   posebouton($tboutons_admin,'export_flou');
                   print "</tr>\n <tr>";
                   posebouton($tboutons_admin,'import_flou');
                   print "</tr>\n";
                   }
                   else {
                   print "<tr>";
                   posebouton($tboutons_admin,'export');
                   print "</tr>\n <tr>";
                   posebouton($tboutons_admin,'import');
                   print "</tr>\n";
                   }
                   ?>
                   <tr><?php posebouton($tboutons_admin,'bouton_vide');?></tr>
                   <tr><?php posebouton($tboutons_admin,'backup');?></tr>                   
           </table>
        </td>
    </tr>

<!-- deuxième ligne du menu-->
    <tr>
<!-- Menu Admin Colonne gauche -->
        <td  width="33%" class="admin_gauche" >
           <table width="100%" border="0" >
                     <tr><?php posebouton($tboutons_admin,'active_compte');?></tr>
                      <tr><?php
                          if ('Melia'==$MODULE)
                          posebouton($tboutons_admin,'gestion_langues');
                          else posebouton($tboutons_admin,'bouton_vide');
                          ?>
                      </tr>
                  <tr><?php posebouton($tboutons_admin,'creation_classe');?></tr>
           </table>
        </td>

<!-- Menu Admin Colonne centre -->
        <td  width="33%" class="admin_centre" >
            <table width="100%" border="0" >
                   <tr><?php posebouton($tboutons_admin,'incorporation');?></tr>
                   <tr><?php
                       if ($oui_incertains) posebouton($tboutons_admin,'incertains');
                       else posebouton($tboutons_admin,'bouton_vide');
                       print "</tr>\n";?>
                   <tr><?php posebouton($tboutons_admin,'anciens');?></tr>
            </table>
        </td>

<!-- Menu Admin Colonne droite -->
       <td class="admin_droite">
            <table width="100%" border="0" >

                   <tr><?php                                       //Attribution manuelle si la sécurité le permet
                        if (!$PAS_ITEM_MANUEL_ADMIN)
                        posebouton($tboutons_admin,'attribuer_items');
                        else posebouton($tboutons_admin,'attribuer_items_flou'); ?>
                   </tr>
                   <tr><?php posebouton($tboutons_admin,'bouton_vide');?></tr>                   
                   <tr><?php posebouton($tboutons_admin,'resultats');?></tr>
            </table>
        </td>

    </tr>

<!-- troisième ligne du menu-->
    <tr>
<!-- Menu Admin Colonne gauche -->
        <td  width="33%" class="admin_gauche" >
            <table width="100%" border="0" >
                   <tr>
                   <?php
                   //ne pas faire afficher la gestion des admin/gest aux admadj
                   if (!isset($sess_statut_prof)) { // si $sess_statut_prof existe, c'est au mieux un adminadj : on bride...
                   posebouton($tboutons_admin,'creation_admin');
                   }
                   else posebouton($tboutons_admin,'bouton_vide');?>
                   </tr>
                   <tr><?php posebouton($tboutons_admin,'liste_admin');?></tr>
                   <tr><?php posebouton($tboutons_admin,'liste_gestion');?></tr>
                   <?php
                   if ('Melia'==$MODULE) {
                   print "<tr>";
                   posebouton($tboutons_admin,'bouton_vide');
                   print "</tr>";
                   }
                   ?>
            </table>
         </td>
<!-- Menu Admin Colonne centre -->
        <td  width="33%" class="admin_centre" >
            <table width="100%" border="0" >
                   <tr><?php posebouton($tboutons_admin,'modif_login');?></tr>
                   <tr><?php posebouton($tboutons_admin,'reinit_mdp');?></tr>                   
                   <tr><?php posebouton($tboutons_admin,'effacement_compte');?></tr>

                   <?php
                   if ('Melia'==$MODULE){
                   print "<tr>";
                   posebouton($tboutons_admin,'choix_langues');
                   print "</tr>";
                   }
                   ?>
            </table>
        </td>
<!-- Menu Admin Colonne droite -->

        <td class="admin_droite">
            <table width="100%" border="0">
                   <tr><?php posebouton($tboutons_admin,'logos_persos');?></tr>
                   <tr><?php posebouton($tboutons_admin,'bouton_vide');?></tr>
                   <?php
                   print "<tr>";
                   if ((!isset($SIMPLITEM)) || ($SIMPLITEM==1)){
                   posebouton($tboutons_admin,'modification_items');
                   }
                   else posebouton($tboutons_admin,'bouton_vide');
                   print "</tr>";
                   if ('Melia'==$MODULE) {
                   print "<tr>";
                   posebouton($tboutons_admin,'bouton_vide');
                   print "</tr>";
                   }
                   ?>
            </table>
         </td>

    </tr>
</table> </div>
</body>
</html>