<?php
#=
/****************************************************************************
 Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");   //pour getBrevetFromNiv
include("profs.inc.php");

define("NBCOLS",12);      //pour les classes

//$statut est passé en paramètre dans l'URL
$statut=$_REQUEST['statut'];
opensession($statut,false);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>

<HEAD>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<TITLE>c'est le cadre "form"</TITLE>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>" type="text/css" />
<link rel="stylesheet" href="../include/rubitem.css" type="text/css" />

<script language="javascript">
function clicglobal(formulaire, nomchkbx, ouinon)
 //formulaire et momchkbx sont des chaînes spécifiant les "name" des objets
 //ouinon vaut true ou false
 // toutes les cases à cocher spécifiées sont cochées (ou décochées si ouinon==false)
 {
 var frm=eval('document.'+formulaire);
 //on ne peut pas invoquer les checkboxes par leur nom du fait des
 //crochets nécessaires à PHP, d'où le test bestial dans la boucle ci-dessous
 for (i=0;i<frm.elements.length; i++) {
     if (frm.elements[i].name==nomchkbx) {
        frm.elements[i].checked=ouinon;
        //alert('name='+frm.elements[i].name+' param='+nomchkbx);
        }
     }
}

function ouvrirliste() { //nouvelle fenêtre avec les disciplines
 wliste=open('listedisc.php?disc_id=0&etab_theme=<?php echo $etab_theme."&statut=$statut"; ?>','nomfenliste','dependent,top=10,left=200,height=460,width=200,resizable');
}

function profestbon() { //vérifie le formulaire avant envoi
 var frm=document.form1;
 if ((!frm.nom.value) || (!frm.discipline.value) || (!frm.login.value)) {
     alert("L'un des champs essentiels est absent (nom, login ou discipline).");
     return false;
 }
 return true;
}

</script>
</head>

<?php
  if ($statut=="Prof")  $cl='arialprof'; else $cl='arialadmin';

//entrée avec id en paramètre avec l'URL
//id=0 : nouveau prof, tous les champs sont vides
//id>0 : prof existant à modifier éventuellement (PROF_ID=$id)

if (!isset($id)) {
    print "<body class=\"$cl\"></body></html>";
    exit();
    }
print "<body class=\"$cl\" onload=\"document.form1.nom.focus();\">";


//Mettre "selected" dans l'élément du tableau $civ correspondant à l'option sélectionnée
$civ=array("M."=>"","Mme"=>"","Mlle"=>"");

print "\n<form name=\"form1\" method=\"post\" ".
      "      action=\"profs_traiter.php?id=$id&statut=$statut\" onsubmit=\"return profestbon();\">\n";
?>
<table border = "0" Width="100%" class="encadre_pres"><tr class="paire"><td>
   <table cellpadding="0" cellspacing="0" width="100%" border="0">
    <tr>
        <td width="30%">
        <p><input type="text" name="nom" /> Nom </p>
        </td>
        <td width="40%">
        <p><input type="text" name="prenom" /> Prénom</p>
        </td>
    </tr>
    <tr>
        <td width="30%">
        <select name=civilite>
                <option value="M."> M.</option>
                <option value="Mme" selected> Mme</option>
                <option value="Mlle"> Mlle</option>
        </select>
        </td>
        <td width="40%">
        <p>


        <input type="text" name="discipline" />
        <input type="button" class="coul" name="listedisc" value=". . ."  onclick="ouvrirliste();" />
        Discipline
        <input type="hidden" name="disc_id" value="0" />
        </p></td>
    </tr>
    <tr>
        <td width="30%">
        <p><input type="text" name="login" /> Login&nbsp;&nbsp;</p>
        </td>
        <td width="40%">
        <p><input type="text" name="dnaiss" /> Date de naissance</p>
        </td>
    </tr>
    <tr>
      <td witdh="60%">&nbsp;</td>

<?php
  if ($statut=="Admin") {
        if (!isset($admin)) $admin=0;
        print "<td >\n";
        print "<p><span title=\"A utiliser par exemple pour un prof principal\">\n";
        print "<input type=\"checkbox\" name=\"pradmin\" ";
        if (($MODULE=="Melia") || ($admin & 1)) print "checked";
        print " /> Professeur administrateur</span>\n";
        print "<br />\n";
        print "<span title=\"A utiliser lorsque Gestion est ce prof\">\n";
        print "<input type=\"checkbox\" name=\"prgest\" ";
        if ($admin & 4) print "checked=\"checked\"";
        print " /> Gestionnaire adjoint</span>\n";
        print "<br />\n";
        print "<span title=\"A utiliser lorsque l'admin est ce prof\">\n";
        print "<input type=\"checkbox\" name=\"adminadj\" ";
        if ($admin & 2) print "checked=\"checked\"";
        print " /> Administrateur adjoint</span></p>\n";
        print "</td>\n";
      } else {
        print "<td>&nbsp;</td>";
  } ?>
   </tr>

   </table>
</td></tr></table>
 </br>
<table border = "0" class="encadre_pres" width="100%"><tr class="paire"><td>
       <table border ="0" cellpadding="0">
       <tr>
           <td width = "140"><b>&nbsp;&nbsp;&nbsp;Classes :</b></td>
           <td width="100">
           <i><a href="#" title="Coche toutes les classes"
             onclick="clicglobal('form1','CBClasses[]',true);">[Toutes]</a></i> </td>
           <td width = "100">
           <i><a href='#' title="Décoche toutes les classes"
             onclick="clicglobal('form1','CBClasses[]',false);">[Aucune]</a></i></td>
        </tr>
        </table>


<?php

//Classes des profs
//=================

//recherche de toutes les classes
//-------------------------------
$sql="SELECT * FROM classes WHERE etab_id=$etab_id ORDER by divgro,divcod;";
$result=query ($sql);
$nbclasses=0;
while ($rowclasse=mysql_fetch_array($result)) {
    $nbclasses++;
    $classeid=$rowclasse["classe_id"];
    $tclasseid[]=$classeid; // pour avoir le tableau de toutes les classes
    $tclasseprof[$classeid]=0;  //pour connaître celles du prof en cours
    $tdivcod[]=$rowclasse["divcod"];//ainsi que les noms des classes
    $tdivgro[]=$rowclasse["divgro"]; //pour savoir classe ou groupe
}



//affichage des check-boxes des classes
//-------------------------------------
print "<table cellpadding='0' cellspacing='0' width='100%'>";
$firstcar="";
$numcol=0;
$divgro='D';
for ($i=0; $i<$nbclasses; $i++,$numcol++) {
    $classeid=$tclasseid[$i];
    $divcod=$tdivcod[$i];
    $divgro_old=$divgro;
    $divgro=$tdivgro[$i];

    //Rupture en passant de classes aux groupes
    $j=$i-1;
    if ($divcod && $firstcar!=$divcod[0]) { //changement de nom de classe -> chgt de ligne
            print "</tr>\n";
            $numcol=0;
            $firstcar=$divcod[0];
            }
    if ($numcol%NBCOLS==0) {     //colonne 0 -> nouvelle ligne
        if ($divgro!=$divgro_old); // $tr_clas="paire";
        print "<TR>";    //class=\"$tr_clas\">";
        $envoifinligne=false;
        }

    if ($divgro!=$divgro_old) {
        //print "</tr><tr><td>&nbsp;</td></tr><tr><td><p><b>&nbsp;&nbsp;&nbsp;&nbsp;Groupes :  </b></p></td></tr><TR>";   // class=\"$tr_clas\">";
        print "</tr></table><p><b>&nbsp;&nbsp;&nbsp;&nbsp;Groupes :  </b>";
        print "<font color='red'>ATTENTION, pour ne pas avoir de messages en double ne cochez pas les classes couvertes par les groupes choisis</font></p>";   // class=\"$tr_clas\">";
        print "<table border='0' cellpadding='0' cellspacing='0' width='100%'><tr>";
        $numcol=0;
        }
    print "\t<td width='12%'>";
    $classeid=$tclasseid[$i];
    $divcod=$tdivcod[$i];
    print "<input type=\"checkbox\" name=\"CBClasses[]\" value=\"$classeid\" />";
    print $divcod;
    print "</td>\n";
    if ($numcol%NBCOLS==NBCOLS-1) { //dernière colonne -> fin de ligne
        print "</tr>\n";
        $envoifinligne=true;
    }
}
if (!$envoifinligne) print "</tr>\n";
   print "</table>\n";
?>
 </td></tr></table>
 </br>

<?php
//Compétences des profs
//=====================

competences(0);

?>


<div align=\"center\"><table border ="0" ><tr><td>
&nbsp;<input type="submit" class="coul" name="enregistrer" value="Envoi des modifications">
&nbsp;<input type="reset" class="coul" name="annuler" value="Annuler">

</td></tr></table> </div>
</form>
</BODY>
</HTML>