<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Stéphanie Roussel, Jean-Marie Treins
(CATICE Académie de Bordeaux)

This file is part of Gibii/Melia.

Gibii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");

opensession("Eleve",false);

if (!isset($sess_mec_id)) die(PARAM_ABSENT);
$eleve_id=$sess_mec_id;

?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional //EN" >

<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Demandes périmées</title>
<link rel="stylesheet" href="<?php echo '../themes/'.$etab_theme.'/b2i.css' ?>">
<!--[if lt IE 7]> <script  src="../include/fixed.js" type="text/javascript"></script> <![endif]-->
<!-- nécessaire pour les version 5  à 6 de IE pour émuler l'attribut fixed.-->

<style type="text/css">
img#retour{
  position:fixed;
  right:10px;
  bottom:10px;
}
</style>
<!-- bien que ce style pour la flèche de retour soit dans la CSS, IE7 ne l'interprète pas et il l'accepte s'il est là ????-->

</head>
<body class="arialeleve">

<?php

//la flèche de retour en haut de page
//-----------------------------------
print "<a href=\"#haut_de_page\"><img id=\"retour\" src='../themes/".$etab_theme."/retour.gif' border='0' title ='Retour en haut de page'></a>";
print "<a name=\"haut_de_page\"></a>\n";

//Requête
//--------
$res =query("SELECT demandes.item_id,libelles.base,demandes.commentaire,
        demandes.quand,profs.nom,reponses.accord,reponses.commentaire, reponses.quand
        FROM demandes
        LEFT JOIN reponses ON reponses.message_id=demandes.message_id
        LEFT JOIN profs ON profs.prof_id=reponses.prof_id
        ,eleves,libelles
        WHERE eleves.eleve_id=$eleve_id
        AND active=0
        AND obtenue=0
        AND reponse_id IS NOT NULL
        AND libelles.item_id=demandes.item_id
        AND eleves.eleve_id=demandes.eleve_id
        ORDER BY demandes.item_id, profs.nom");

$reponse=array("Refus","Accord");



//on affiche

print "<p class='sous_titre'>Demandes périmées</p>\n";

		
if (mysql_num_rows($res)==0)
   {
   print "<hr>\n<p class='centre'>Pas de demande périmée ayant obtenu des réponses.</p>\n";
   retour ("eleve_choix.php");
    }
//sinon
    else {
		print "<p><i>Seules les demandes ayant obtenu au moins une réponse sont conservées. <br />Dans ces demandes périmées
		figurent aussi les demandes supprimées du fait du trop grand nombre de refus (la limite fixée par l'établissement 
		a été dépassée).</i></p>";

		print "<div align=\"center\" class=\"arial_petit\">\n<table width=\"95%\"border=\"1\" cellspacing=\"1\"cellpadding=\"4\" bordercolordark=\"white\" bordercolorlight=\"gray\">\n";
		print "<tr class=\"rubrique\">";
		print "<td width='25'>N° item</td>\n";
		print "<td width='20%'>Libellé de cet item</td>\n";
		print "<td width='20%'>Mon commentaire</td>\n";
		print "<td width='8%'>Date demande</td>\n";
		print "<td>Qui a répondu</td>\n";
		print "<td>Quoi</td>\n";
		print "<td width='20%'>Sa réponse</td>\n";
		print "<td width='8%'>Date réponse</td>\n";
		print "</tr>\n";

 // pour changer la couleur quand on change d'item
        $cl=array("paire","impaire");
        $prec_item=0;$i=0;
        while (list($item_id,$item,$comd,$quandd,$nomprof,$accord,$comr,$quandr,)=mysql_fetch_array($res))
              {
              if ($prec_item!=$item_id) $i++;
               $j=$i%2;
               print "<tr class=\"$cl[$j]\">";
               print "<td style=text-align:center;>$item_id </td>\n";
               print "<td>$item</td>\n";
               print "<td>&nbsp;$comd</td>\n";
               print "<td style=text-align:center;>$quandd</td>\n";
               print "<td style=text-align:center;>$nomprof</td>\n";
               print "<td style=text-align:center;>$reponse[$accord]</td>\n";
               print "<td>&nbsp;$comr</td>\n";
               print "<td style=text-align:center;>$quandr</td>\n";
               print "</tr>\n";
               $prec_item=$item_id;
               }  //fin du while
        print "</table>\n";
        print "</div>";

          }  //fin du else

?>
</body>
</html>