<?php
#G
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
//  programme principal
//  ===================

include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/utiljs.php");

opensession("Eleve");
connecte($host,$user,$mdp,$db);


print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";

print "<html><head>\n";
print "<meta http-equiv=\"content-type\" content=\"text/html; charset=ISO-8859-1\">\n";
print "<link rel=\"stylesheet\" href=\"../themes/".$etab_theme."/b2i.css\">\n";
print "<Title> B2i</Title></head>\n";
print "<body onBlur=\"javascript:window.close();\" onClick=\"javascript:window.close();\">\n";

//on connaît eleve_id, item_id, message_id passés par un lien
//prof_id0 indique le prof demandant ce renseignement
//afin que son nom n'apparaisse pas dans les résultats affichés
//on veut les profs
//  - qui ont $eleve_id en classe
//  - qui sont compétents pour $item_id
if ($MODULE=='Melia')   $cond=" and profs.disc_id=$disc_id ";
else $cond='';
$ascol=ascol();
$res=query("SELECT DISTINCT profs.prof_id, profs.nom, profs.prenom
            FROM profs, lien_profs_classes, lien_eleves_classes, lpi
            WHERE profs.prof_id = lien_profs_classes.prof_id
            AND lien_profs_classes.classe_id = lien_eleves_classes.classe_id
            AND lien_eleves_classes.eleve_id =$eleve_id
            AND profs.prof_id = lpi.prof_id
            AND profs.annee=$ascol
            AND lpi.item_id =$item_id
            $cond");

if (mysql_num_rows($res)==0) {
    print "Pas d'enseignant concerné par le cas de cet élève avec cet item";
}
else {
    $lv=$sess_prenom." ".$sess_nom;
    print "<p class='libelle'>Elève : $lv</p>";
    print "<p class='sous_titre'>Enseignants habilités à répondre à cette demande</p><hr />\n";
    print "<table border='1' align='center' width='90%'>\n";
    print"<tr class='rubrique'><td width='200'> Nom</td><td width='80'> a répondu </td><td>le</td>\n";
    //tous les profs trouvés vont être affichés. On va indiquer en plus
    //s'ils ont répondu (si oui, on indiqura oui ou non) ou s'ils n'ont pas répondu.
    while (list($prof_id,$nom,$prenom)=mysql_fetch_array($res))  {
        //prof_id a-t-il répondu ?
        if (!isset($message_id) || ($message_id==0)) {
            //item non demandé)
            $mess="NR";
            $date="-";
            }
        else {
            $resrep=query("SELECT accord, quand FROM reponses
                           WHERE message_id=$message_id
                           and prof_id=$prof_id");
            if (mysql_num_rows($resrep)) {
                //il a répondu (normalement une seule fois)
                list($accord, $date)=mysql_fetch_array($resrep);
                if ($accord) $yesno="<span class='vert'><B>Oui</B></span>";
                else $yesno="<span class='warning'>Non</span>";
                $mess=" $yesno ";
                }
            else {
                //il n'a pas répondu
                $mess="NR";
                $date="-";
                }
            }

        print "<tr><td>&nbsp;&nbsp;$nom $prenom&nbsp;&nbsp;</td>\n";
        print "    <td align='center'>$mess</td><td align='center'>$date</td>\n";
        print "</tr>";
    }
    print "</table>\n";
}
// retour par click ou perte du focus
// retour("javascript:window.close();");
print "</body></html>\n";

?>