<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/attestations.inc.php");
opensession("Gest",false);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Diplomes</title>
<meta name="generator" content="jako">
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
<base target="_blank">
<?php include("../include/utiljs.php"); ?>
</head>

<?php
print "<body bgcolor='white' text='black' link='blue' vlink='purple' alink='red'>";



//print "session = $sess_statut<br>";
include("../themes/".$etab_theme."/f_diplome.php");
include("../lib/fpdf.php");
//On vient là pour préparer la page des diplômes.
//Cas n°1 : imprimer un seul diplôme, donc création de un_dip.php à la volée

creertousrep("$DATA/$etab_rne/diplomes/");

switch ($mode) {
        case 'un' :
        	 if (!isset($divcod)) $divcod="";
             $offset=0; //Impression début de page A4
             creertousrep("$DATA/$etab_rne/diplomes/");
             if ($chk_format=='A4') diplome_A4("w",$nom,$prenom,$divcod,$niv,$offset,"$DATA/$etab_rne/diplomes/un_dip.php");
             else diplome_pdf("w",$nom,$prenom,$divcod,$niv,$offset,"$DATA/$etab_rne/diplomes/un_dip.php");
             taggue_diplome($elid,$niv);             
             //require("un_dip.php");
             goto_url("$DATA/$etab_rne/diplomes/un_dip.php");
             break;
        case 'new' :    //on accroche le fichier liste_dip_new.php créé pendant l'affichage du tableau
             goto_url("$DATA/$etab_rne/diplomes/liste_dip_new.php");
             break;
        case 'tous' :   //on accroche le fichier liste_dip.php créé pendant l'affichage du tableau
             goto_url("$DATA/$etab_rne/diplomes/liste_dip.php");
             break;
        case 'etab' :
             goto_url("$DATA/$etab_rne/diplomes/sauve_attest.php");
        }

?>
<p>&nbsp;</p>

</body>

</html>