<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Stéphanie Roussel, Jean-Marie Treins
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

/* tableau décrivant les boutons du menu gestion
   ces données sont utilisées par la fonction  poseBouton(&$table,$nombouton)
   définie dans util_inc
   ex : poseBouton($tboutons_gest,'competences_profs')  */


$tboutons_gest = array(
    'competences_profs' => array(
                    'ldap'  => false,
                    'cas'   => true,
                    'gr'    => array(
                                'class_td'        => 'gauche',
                                'src'             => "../themes/$etab_theme/btn_comprofs.gif"
                                ),
                    'css'   => array(
                                'class_td'        => 'boutonge',
                                'txt_bouton'      => 'Compétences des Profs',
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Compétences validables par les professeurs",
                    'href'  => "compet_profs.php"
                    ),

    'competences_classe' => array(
                    'ldap'  => false,
                    'cas'   => true,
                    'gr'    => array(
                                'class_td'        => 'gauche',
                                'src'             => "../themes/$etab_theme/btn_compclasses.gif"
                                ),
                    'css'   => array(
                                'class_td'        => 'boutonge',
                                'txt_bouton'      => 'Compétences par Classe',
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Compétences validables par classe",
                    'href'  => "compet_classes.php"
                    ),
    'attestations' => array(
                    'ldap'  => false,
                    'cas'   => true,
                    'gr'    => array(
                                'class_td'        => 'droite',
                                'src'             => "../themes/$etab_theme/btn_diplomes.gif"
                                ),
                    'css'   => array(
                                'class_td'        => 'boutonge',
                                'txt_bouton'      => 'Edition des Attestations',
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Edition et Impression des attestations",
                    'href'  => "choix_diplomes.php"
                    ),


    'edit_etats' => array(
                    'ldap'  => true,
                    'cas'   => true,
                    'gr'    => array(
                                'class_td'        => 'droite',
                                'src'             => "../themes/$etab_theme/btn_edit_etats.gif"
                                ),
                    'css'   => array(
                                'class_td'        => 'boutonge',
                                'txt_bouton'      => 'Edition des f. de position',
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Edition et Impression des feuilles d'avancement",
                    'href'  => "edit_etats.php"
                    ),

   'stats_etab' => array(
                    'ldap'  => true,
                    'cas'   => true,
                    'gr'    => array(
                                'class_td'        => 'gauche',
                                'src'             => "../themes/$etab_theme/btn_stats_etab.gif"
                                ),
                    'css'   => array(
                                'class_td'        => 'boutonge',
                                'txt_bouton'      => 'Graphique des résultats',
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Graphiques sur l'avancement des validations",
                    'href'  => "stats_etab.php"
                    ),


    'validation_classe' => array(
                    'ldap'  => false,
                    'cas'   => true,
                    'gr'    => array(
                                'class_td'        => 'gauche',
                                'src'             => "../themes/$etab_theme/btn_avanclasses.gif"
                                ),
                    'css'   => array(
                                'class_td'        => 'boutonge',
                                'txt_bouton'      => 'Etat des Validations par Classe',
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Etat des Validations par Classe",
                    'href'  => "result_classes_gest.php?statut=$statut"
                    ),
    'resultats_eleve' => array(
                    'ldap'  => false,
                    'cas'   => true,
                    'gr'    => array(
                                'class_td'        => 'centre',
                                'src'             => "../themes/$etab_theme/btn_resultelev.gif"
                                ),
                    'css'   => array(
                                'class_td'        => 'boutonge',
                                'txt_bouton'      => 'Résultats par Elève',
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Résultats par élève",
                    'href'  => "gest_etats_eleves.php?statut=$statut"
                    ),

   'attribution_items' => array(
                    'ldap'  => false,
                    'cas'   => true,
                    'gr'    => array(
                                'class_td'        => 'centre',
                                'src'             => "../themes/$etab_theme/btn_validermanu.gif"
                                ),
                    'css'   => array(
                                'class_td'        => 'boutonge',
                                'txt_bouton'      => "Attribution manuelle d'Items",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Attribution manuelle d'items",
                    'href'  => "../admin/print_classes.php?statut=$statut&objet=valider"
                    ),
    'attribution_items_flou' => array(
                    'ldap'  => false,
                    'cas'   => true,
                    'gr'    => array(
                                'class_td'        => 'centre',
                                'src'             => "../themes/$etab_theme/btn_validermanu_gr.gif"
                                ),
                    'css'   => array(
                                'class_td'        => 'boutonge',
                                'txt_bouton'      => "Attribution manuelle d'Items",
                                'class_a'         => 'bouton_gris'
                                ),
                    'title' => "Attribution manuelle d'items désactivée",
                    'href'  => "javascript:alert('Fonction attribution manuelle désactivée par le super-administrateur \\npour des raisons de sécurité')\""
                    ),

    'resultats_anciens' => array(
                    'ldap'  => false,
                    'cas'   => true,
                    'gr'    => array(
                                'class_td'        => 'centre',
                                'src'             => "../themes/$etab_theme/btn_editanciens.gif"
                                ),
                    'css'   => array(
                                'class_td'        => 'boutonge',
                                'txt_bouton'      => 'Résultats Anciens Elèves',
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Edition des résultats d'anciens élèves",
                    'href'  => "../outils/editanciens.php?statut=$statut"
                    ),

    'attestations_anciens' => array(
                    'ldap'  => false,
                    'cas'   => true,
                    'gr'    => array(
                                'class_td'        => 'droite',
                                'src'             => "../themes/$etab_theme/btn_anciens_diplomes.gif"
                                ),
                    'css'   => array(
                                'class_td'        => 'boutonge',
                                'txt_bouton'      => 'Attestations Anciens Elèves',
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Edition des attestations d'anciens élèves",
                    'href'  => "anciens_diplomes.php?classe_id=&divcod=&statut=Gest&objet=Anciens&divgro="
                    ),
   'resultats' => array(
                    'ldap'  => true,
                    'cas'   => true,
                    'gr'    => array(
                                'class_td'        => 'droite',
                                'src'             => "../themes/$etab_theme/btn_resultats_gest.gif"
                                ),
                    'css'   => array(
                                'class_td'        => 'boutond',
                                'txt_bouton'      => "Résultats CSV & Etiquettes",
                                'class_a'         => 'bouton'
                                ),
                    'title' => "Calcul et édition des résultats et étiquettes pour tout l'établissement",
                    'href'  => "../admin/resultats.php?statut=$statut"
                    ),                    

    'bouton_vide' => array(
                    'ldap'  => false,
                    'cas'   => true,
                    'gr'    => array(
                                'class_td'        => 'centre',
                                'src'             => "../themes/$etab_theme/btn_vide.gif"
                                ),
                    'css'   => array(
                                'class_td'        => 'boutonge_vide',
                                'txt_bouton'      => '',
                                'class_a'         => ''
                                ),
                    'title' => "",
                    'href'  => "",
                    'vide'  => true
                    ),

);

?>