<?php
//Pour GiBii-Melia CAS
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii/Melia.

Gibii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");
include("../include/utiljs.php");
include("../include/login.inc.php");
include('../include/login_eole.inc.php');
include_once("configCAS/cas.inc.php");
include_once('CAS-1.3.1/eoleCAS.php');
connecte($host,$user,$mdp,$db);

function Trouve_etabCAS($user,$attributs) {
    global $etab_id,$statut;
    //FIXME : voir etab_id pour le multi etab
    //le couple $serv, $user est unique sur un même serveur CAS !
    //Cette fonction retourne l'etab_id inconnu, pour éviter de passer par la page de choix....
    //Pré-requis :
    // $CAS_SERVEUR saisi de façon unique  et $user connu
    //retour :
    // le tableau $tab_etab  avec $tab_etab[1]=0 si pas de concordance
    //Chercher si le compte existe ?
    $sqlexist="SELECT etab_id, login, statut FROM comptes WHERE login='$user'";
    $resexist=query($sqlexist);
    if (mysql_num_rows($resexist)==0){
        eolephpCAS::log($attributs['utilisateur']['profil'][0]);
        if($attributs['utilisateur']['profil'][0]=="National_1"){
            // On crée un élève
            ajout_eleve($user,$attributs['utilisateur']['lastname'][0],$attributs['utilisateur']['firstname'][0],$attributs['utilisateur']['civil'][0],"",$attributs['utilisateur']['classe'][0],date("Y"),$etab_id=1);
        }elseif ($attributs['utilisateur']['profil'][0]=="National_3") {
            // On autocreate un professeur
            ajout_prof($user,$attributs['utilisateur']['lastname'][0],$attributs['utilisateur']['firstname'][0],$attributs['utilisateur']['civil'][0],"",$attributs['utilisateur']['typeadmin'][0],date("Y"),$attributs['utilisateur']['classe'][0],$etab_id=1);
        }else{
            alert(" * Un problème est survenu à la connexion, veuillez contacter l'administrateur.");
            goto_url('../cas_logout.php');
        }
        Trouve_etabCAS($user,$attributs);
    }else {
        // Mise a jour automatique de la année scolaire
        $res=query("SELECT * FROM comptes WHERE login='$user' AND etab_id=1");
        $row=mysql_fetch_array($res);
        $compte_id=$row['compte_id'];
        $eleve_id = $row['eleve_id'];
        $stat=$row['statut'];
        if (($stat=="Eleve")OR ($stat=="Prof")) {
            if ($stat=="Eleve"){
                $tbl="eleves";
            }else{
                $tbl="profs";
            }
            $resan=query("SELECT annee FROM $tbl WHERE etab_id=1 AND compte_id=$compte_id");
            $rowan=mysql_fetch_array($resan);
            $an=$rowan['annee'];
            if ($an!=ascol()) {
                $sql="UPDATE $tbl SET annee='".ascol()."' WHERE etab_id=1 AND compte_id=$compte_id";
                query($sql);
            }
        }
        //Mise a jour automatique de la classe de eleve
        if ($stat=="Eleve"){
            $res2=query("SELECT * FROM lien_eleves_classes WHERE eleve_id=$eleve_id");
            $row2=mysql_fetch_array($res2);
            $classe_id=$row2['classe_id'];
            $newclasse_id=get_classe($attributs['utilisateur']['classe'][0]);
            if($classe_id!=$newclasse_id){
                modifier_classe_eleve($eleve_id,$newclasse_id);
            }
        }
        //Là c'est bon, il y a des résultats on va voir le statut
        $num=0;   //comptage établissements retournés
        $statut='';   //On suppose le login unique par statut !!! Osé ?
        while (list($etab, $login, $statut)=mysql_fetch_array($resexist)) {
            $num++;
            $tab_etabs[$num]=$etab;
        }
    }  //Fin recherche étabs
    mysql_free_result($resexist);
    return $tab_etabs;
} //Fin fonction recherche étabs

//######################### PROGRAMME PRINCIPAL
//Recup params CAS
recuprequest();  //Recup du GET et du POST
getparams(false); //Recup différents params généraux

//Vérif cohérence des versions de GiBii et du référentiel B2i
getparams();
//pour savoir où repartir en cas de pb
// GIBII_FIN est affecté, soit avec sso_logout.php (entrée exclusive) soit avec "" entrée par portail)

$vv=verif_version();
if (!$vv) {
    alert("Incohérence entre votre version de GiBii ($VERSION_GIBII) et le référentiel du B2i ($VERSION_B2I)\nVous devez passer le script de conversion du référentiel sur la v. 4.7 avant de passer à la v. $VERSION_GIBII");
    exit;
}
function initCasClient(){
    /*
     * Initialise le client cas en mode client
     */
    EolephpCAS::client(__CAS_VERSION,__CAS_SERVER,__CAS_PORT,"",false);
    if (__CAS_DEBUG){
        eolephpCAS::setDebug('/var/log/posh/gibii-cas.log');
    }
    // Validation du certificat (Maj pour phpCAS 1.3.1)
    if (__CAS_VALIDER_CA) {
        EolephpCAS::setCasServerCACert(__CAS_CA_LOCATION); // vérification par rapport à la CA
    } else {
        if (method_exists("EolephpCAS", "setNoCasServerValidation")){
            EolephpCAS::setNoCasServerValidation();
        }
    }
    // Teste la requête (si il s'agit d'une requête de logout du serveur sso)
    if (method_exists(EolephpCAS, 'EoleLogoutRequests')){
        if (__CAS_LOGOUT){
            EolephpCAS::EoleLogoutRequests(false);
        }
    }
}

session_start();
// Initialisation pour l'auth CAS
initCasClient();

// Authentification
EolephpCAS::forceAuthentication();

$USER = EolephpCAS::getUser();
$_SESSION['username'] = $USER;

$CREDENTIAL = "motdepassvide";
$loginsso = $_SESSION['username'];
$_SESSION['password'] = $CREDENTIAL;

$attributs = array();
$attributs = eolephpCAS::getDetails();


if (!isset($choix))  {
    //Premier passage cas de plusieurs étabs
    //Avec le serveur CAS et le User on va trouver l'étab !
    $etabs = Trouve_etabCAS($_SESSION['username'], $attributs);
    //Affichage page de choix
    if (count($etabs)>1) {
?>
     <html><head>
     <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
     <title>Attention choix etablissement</title>
     <link rel="stylesheet" href="../include/general.css" />
     <style type="text/css">
     fieldset {
        margin: 5em 15em;
        padding: 1em 0.5em;
        background-color: #FDFDF3;
        border: 1px solid #2E62AA;
        color: black;
        /* Truc pour contenir le background du fieldset dans le cadre IE*/
        position: relative;
        /* Truc pour contenir le background du fieldset dans le cadre IE*/
       }

     legend {
        margin: 0em 1em;
        padding: 0em 1em;
        font-weight: bold;
        color: black;
        background-color: #EDF1F7;
        border: 1px solid #2E62AA;
        /* Truc pour contenir le background du fieldset dans le cadre IE*/
        position: absolute;
        top: -0.6em;
        /* Truc pour contenir le background du fieldset dans le cadre IE*/
       }

     </style>
     </head>
     <body class='arial_sadmin'>
     <img src="../images/logorect.gif" border="0">
     <div align='center'>
     <fieldset background:'#FFF8DC'>
     <LEGEND ACCESSKEY=F ><b>Choix de l'établissement pour <?php echo $MODULE; ?> </b></LEGEND>
     <form name="choixetab" method="post" action="loginCAS.php">
<?php
        print "<br /><table border='0'><tr>";
        foreach($etabs as $id=>$etid)   {
            $libetab=getetab($etid);
            $mess_etabs=$id." : ".$libetab['nom']." ".$libetab['ville']."   <br>";
            print "<td><input type='radio' name='idetab' value=$etid )></td><td> ".$mess_etabs."</td></tr><tr>";
        }

        print "</tr></table>";
        print "<input type='hidden' name='choix' value=1>";
        print "<input type='hidden' name='GIBII_FIN' value='$GIBII_FIN'>";
        print "<input type='hidden' name='CAS_SERVEUR' value='".__CAS_SERVEUR."'>";
        print "<input type='hidden' name='CAS_PORT' value='".__CAS_PORT."'>";
        print "<input type='hidden' name='CAS_URI' value=''>";
        print "<input type='hidden' name='statut' value='$statut'>";

        print "<br><input type=\"submit\" name=\"envoi\" value=\"Choix\">";
        print "</form></fieldset></div>";
        print "</body></html>";
        exit;
    }//Fin de formulaire

} //Fin de premier passage (et seul passage si un seul etab trouvé)

if (isset($idetab)){
    $etab_id=$idetab;
}else{
    $etab_id=$etabs[1];
}
if ($etab_id!=0) {
    createSession($etab_id);
    //On a déjà les paramètres CAS mais bon, autant les mettre en session pour le logout !
    if ($etab_typauth_id>1) {
        getparams_auth($etab_id);
    }
    //Maintenant on peut partir se faire traiter
    $msg_err = authentifier($loginsso, 3);
}
else {
    //Compte inconnu dans GiBii, on se déconnecte de $MODULE
    goto_url($GIBII_FIN);
}
goto_url("login_traite.php?etab_id=$etab_id&entree_SSO=1&GIBII_FIN=$GIBII_FIN");
?>
