<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

//tailles limites des mots de passe
define('MIN_MDP',2);
define('MAX_MDP',10);
define ('dirOK',' - directive ok - ');
define ('constOK',' - constante ok - ');
//Valeurs par défaut des directives incluses dans le fichier texte sous la forme
//  %variable=valeur. Exemple : %mdpadmin=             (mdpadmin sera vide)
//ou : %mdpadmin=admin ou %mdpadmin=$rne
//variables possibles dans le premier membre : voir clés du tableau $dir_defaut
//variables possibles dans le second membre : $rne, $codepostal, $ville
//constantes possibles dans le second membre : peu importe mais entre guillemets
//expressions : à vérifier après coup : c'est PHP qui interprète ! (fuite de responsabilité)



$dir_defaut=array(	'sep'			=> ';',				//séparateur pour les champs des données
					'entete'		=> '',				//en-tête : ligne des champs utilisés
					'mdpadmin'		=> 'admin',
					'mdpgestion'	=> 'gestion',
                  	'mdpproftest'	=> 'proftest',
					'mdp00000'		=> '00000',
					'theme'			=> 'argos',
					'chgt_theme'	=> 0,
					'niveau'		=> 'niv2',
					'nb_validations'=> 1,
					'modele_login_e'=> 'ppp.nnnnnnnnnn',
					'modele_login_p'=> 'ppp.nnnnnnnnnn',
					'valid_profs'	=> 1,
					'type_id'		=> 2,
					'avertissement' => "Attention, toutes les irrégularités ou usurpations d'identité sont
										enregistrées de façon à permettre à l'administration de remonter aux
										auteurs."
	             );


print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<HTML>
<HEAD>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<link rel="stylesheet" href="../include/general.css">
<style type="text/css">
</style>
<script language="javascript">

    function pas_de_mail() {
    var frm=document.formparam;
    //frm.mail_from.disabled=!frm.mail_from.disabled;
    //frm.mail_to.disabled=!frm.mail_to.disabled;
    //frm.mail_cc.disabled=!frm.mail_cc.disabled;
    //frm.mail_subject.disabled=!frm.mail_subject.disabled;
    frm.nomfield.disabled=!frm.nomfield.disabled;
}

    </script>
</HEAD>
<BODY class="arial_sadmin"  >
<?php
require ('../include/vars_adm.php');
require ('../include/util.inc.php');
require ('../include/utiljs.php');
require ('../include/new_etab.inc.php');
require ('../include/utildb.inc.php');

//==========================================================================

//FONCTIONS
//---------
function erreur($mess) {   //pour les erreurs immédiates au 2e passage
alert($mess);
gohistory(-1);
print "</body></html>";
exit();
}


function is_etab_incorrect($tchamp) {
//sortie : chaîne vide     ~> établissement correct
//         chaîne non vide ~> message d'erreur

if (empty($tchamp['rne'])) return "Le RNE est absent !";
else { //le RNE n'est pas vide
	$rne=$tchamp['rne'];
  	if (!eregi("^[0-9]{7}[a-z]$",$rne)) return "RNE incorrect.";
  	$resetab=query("SELECT * FROM etablissements WHERE rne='".secs($rne)."'");
  	if (mysql_num_rows($resetab)) return 'le RNE existe déjà';
}
if (empty($tchamp['nom']) && empty($tchamp['ville']))  //l'un des deux vide autorisé
    return 'Nom et ville absents';
if (isset($tchamp['nom'])) $nom=$tchamp['nom']; else $nom='';
if (isset($tchamp['ville'])) $nom=$tchamp['ville']; else $ville='';
if (!empty($tchamp['cp'])) { //code postal vide autorisé
	$cp=$tchamp['cp'];        
	if (!eregi("^[0-9]{5}$",$cp)) return "Code postal incorrect.";
	else  {
  		$resetab=query("SELECT * FROM etablissements
        		           WHERE nom='".secs($nom)."'
                		     and ville='".secs($ville)."';");
  		if (mysql_num_rows($resetab)) 
		  	return "Le couple (nom,ville) existe déjà : ($nom,$ville).";
		}
	}
return '';
}

function is_lignetexte($chligneorig,$numligne) {
//on accepte TAB et les caractères de 32 à 255.
if (ereg("^(\t|[\x0D,\x0A,\x20-\x7f]|[\x80-\xff)])*$",$chligneorig))
   return '';
else return "Ligne $numligne : caractère étranger (code binaire) [$chligneorig].<br />";
}

function decode($ch,$r,$i) {  //décodage chaînes pour le mail
$buffer=str_replace('[[rne]]',$r,$ch);
$buffer=str_replace('[[etab_id]]',$i,$buffer);
return $buffer;
}

function sauve_mail_param($paramail) {
//Sauver-modifier les variables saisies dans le formulaire dans _paramsglobaux
//puis les mettre en session
foreach($paramail  as $pval) {
  $param_val=strtolower($pval); //Variables POST
  global  $$param_val;
  $$pval=$$param_val;
  $sqlsauve_mail="UPDATE _params_globaux SET param_val='".secs($$param_val)."' ".
                       " WHERE param_nom='".secs($pval)."' ;";
  query($sqlsauve_mail);
  $_SESSION[$pval]=$$param_val;
  }
}


function cree_mail_param($paramail) {
//Créer les variables par défaut dans _params_globaux
//puis les mettre en session
$param_val=array(	'Saisir un expéditeur',
		           	'Saisir au moins un destinataire',
		           	'',
		           	'Votre GiBii est en ligne'
				);
$param_desc=array(	'Inscription étabs : expéditeur',
           			'Inscription étabs : Destinataire',
           			'Inscription étabs : en copie',
        			'Inscription étabs : objet'
				);
$i=0;
foreach($paramail  as $pval) {
  global $$pval;
  $$pval=$param_val[$i];
  //alert($param_val);
  $sqlsauve_mail="INSERT INTO _params_globaux SET param_nom='".secs($pval)."',
                  param_type='s',param_val='".secs($param_val[$i])."',
                  param_desc='".secs($param_desc[$i])."',
                  param_tag=0;";
  query($sqlsauve_mail);
  $_SESSION[$pval]=$param_val[$i];
  $i++;
  }
}


function verifier_entete($entete,$sep) {
global $tdefaut;
$map=explode($sep,$entete); //$tentete[0]='rne' par ex.	
for ($i=0 ; $i<count($map) ; $i++) {
	$map[$i]=strtolower(trim($map[$i]));
	if (!isset($tdefaut[$map[$i]])) { //vérifie que $map[i] est un champ correct de la table etablissements
		print "champ ".$map[$i]; print " erreur ! tdefaut="; print '#'.$tdefaut[$map[$i]].'#'; print "<br />";
		return array(false,$map[$i]." n'est pas un champ de la table etablissements.");
		}
	}
return array(true,$map);
}

function rouge($m) {
return "<span style=\"color:red\">$m</span>";
}
function vert($m) {
return "<span style=\"color:green\">$m</span>";
}
function jaune($m) {
return "<span style=\"color:yellow\">$m</span>";
}

function petit($m) {
return "<span style=\"font-size=x-small\">$m</span>";
}

function alerte($mess) {
print "<span class=\"warning\">$mess</span>\n";
}

	
function afficher_ligne($t) {
//affiche tous les renseignements acquis sur une ligne
print "<tr >\n";  //style=\"border : thick solid Black;\" 
print "<td  >\n"; //style=\"border: 1px solid Black;\"
if (isset($t['rne'])) print $t['rne']; else print '&nbsp;';
print "</td>\n";
print "<td >\n";  //style=\"border: 1px solid Black;\"
if (isset($t['etab_id'])) print $t['etab_id']; else print '&nbsp;&nbsp;-&nbsp;&nbsp;';
print "</td>\n";
print "<td style=\"font-size:x-small\" >\n";
print $t['ligne'];
print "</td>\n";
print "<td>\n";
if (isset($t['com'])) print $t['com']; else print '&nbsp;';
print "</td>\n";
print "</tr>\n";
return;
}

function purger_fin(&$chligne) {
global $sep;
$chligne=trim($chligne);
while (!empty($chligne) && substr($chligne,-1)==$sep)
	$chligne=trim(substr($chligne,0,-1));
}

function verifValConst($condition) {
global $erreur_directive, $messdir, $matches, $constantes;
if ($condition) {
	$constantes[$matches[1]]=$matches[2];
	$messdir=vert(constOK);
	return;
	}
$messdir=rouge("Valeur incorrecte ($matches[2]) pour le champ $matches[1].");
$erreur_directive=true;
}

function traiter_directive($chligne) {
global $dir_defaut,$entete_trouvee,$entete,$sep,$tint2champ,$expr_user,
		$messdir, $matches, $constantes, $aff;
$erreur_directive=false;
if (preg_match("/^%([a-z0-9_]+)=(.*)/i",$chligne,$matches)) {
	if (array_key_exists($matches[1],$dir_defaut))  {
		//ici, on se contente de stocker l'expression fournie
		//on l'évaluera plus tard, après récupération de chaque nouvelle ligne
		$matches[2]=trim($matches[2]);
		switch ($matches[1]) {
			case 'sep' : 	
				$sep=trim($matches[2]);
				if ($entete_trouvee) {
					$erreur_directive=true;
					$messdir=rouge('La directive %sep doit précéder %entete');
					}
				else $messdir=vert(dirOK);
				break;
			case 'entete': 	
				$entete=strtolower($matches[2]);
				$entete_trouvee=true;
				list($ok_entete,$result)=verifier_entete($matches[2],$sep);
				if ($ok_entete) {
					$messdir=vert(dirOK);
					$tint2champ=$result;
					//$tchamp2int=array_flip($result); //utile ?
					}
				else {
					$messdir=rouge("Erreur d'en-tête : $result"); //result est un message d'erreur
					$erreur_directive=true;;
					}
				break;
			case 'chgt_theme':	
			case 'valid_profs': 
				verifValConst($matches[2]==0 || $matches[2]==1);
				break;
			case 'nb_validations':
				verifValConst((int) $matches[2]>=1);
				break;
			case 'niveau':
				verifValConst(preg_match("/^niv(1|2|3|12|13|23|123)$/i",$matches[2]));
				break;
			case 'type_id':
				verifValConst(strpos('123456',$matches[2])!==false);
				break;
			case 'mdpadmin':
			case 'mdpgestion':
            case 'mdpproftest':
			case 'mdp00000':
				$expr_user[$matches[1]]=$matches[2];
				$messdir=vert(dirOK);			    
				break;
			default : 	
				//il s'agit de constantes pour les champs de la table etablissements :
				//theme, avertissement, modele_login_e, modele_login_p (paramètres sans vérification)
				$constantes[$match[1]]=$match[2];
				$messdir=vert(constOK);
			}
		}
  	else {
		$messdir=rouge("Directive ou constante [$matches[1]] inconnue.");
		$erreur_directive=true;
		}
  	}
else {
	$messdir=rouge('Syntaxe de la directive incorrecte');
	$erreur_directive=true;
	}
$aff['com']=$messdir;
afficher_ligne($aff);
return $erreur_directive;
}

	
function traiter_etabs($nomfichier) {
global 	$tdefaut,$DATA,$HIDEDATA,$MODULE,
		$dir_defaut,$entete_trouvee,$entete,$sep,$tint2champ,$expr_user, $constantes, $aff;

 //Pour le mail auto
global $CB_mail_auto,$MAIL_FROM,$MAIL_TO,$MAIL_CC,$MAIL_SUBJECT;

//valeurs par défaut (sauf etab_id)
if ($MODULE=='Melia') $nbval=1; else $nbval=1;
 
$expr_user=array();
$err_mail=false;
$keys=array_keys($tdefaut);

$sep=$dir_defaut['sep'];
$ok_entete=true;
$entete_trouvee=false;
$erreur_directive=false;
$nb_erreurs=$nb_etabs=$nb_warnings=0;
print "<h2>Importation d'établissements : traitement</h2>\n";
print "<br /><table border=\"1px\" style=\"border: thin Black;\" cellspacing=\"0\" >";
print "<tr><th> RNE </th><th> n° étab </th><th> Ligne </th><th> Compte rendu </th></tr>\n";
$fp=fopen($nomfichier,'r');
$fatal=false;

//Balayage du fichier
//===================
while ($chligne = fgets($fp, 1024)) {
	$aff=array(); //tableau des colonnes affichées
	$aff['ligne']=$chligne;
	
	//est-ce une directive ?
	//======================
	if ($chligne[0]=='%') {
		$erreur_directive=traiter_directive($chligne); 	
		if ($erreur_directive) break; //erreur dans l'en-tête : c'est irrécupérable
		else continue;
	  	}
	
	if (!trim($chligne)) continue; 	//ligne vide
	if ($chligne[0]=="#") continue; //remarque
	if ($erreur_directive) break;
	if (!$entete_trouvee) break; 	//on ne peut engranger d'étab que s'il y a un en-tête
	
	
	//une ligne contenant un établissement
	//====================================
	//normaliser la ligne
	purger_fin($chligne);
	$ligne=explode($sep,$chligne);
	//print_r($ligne);
	
	if (count($ligne)>count($tint2champ)) {
		//trop de champs dans la ligne par rapport à l'en-tête
		$aff['com']=rouge($mess);
		afficher_ligne($aff);
		if (++$nb_erreurs>9) break;
		else continue;
		}
		
	for ($i=0 ; $i<count($ligne) ; $i++)
	   $ligne[$i]=trim($ligne[$i]);
	$chligneorig=implode($sep,$ligne);  //
	
	//prépare la requête avec les valeurs fournies dans la ligne
	$req='';
	$mess='';
	$tchamps=array();
	
	//en priorité faible : les "constantes" correspondant aux champs de la table etablissements
	foreach($constantes as $nomchamp=>$valeur) {
		$tchamps[$nomchamp]=$valeur;
		}
	//ensuite (et en écrasement éventuel) les champs indiqués dans la ligne (ils sont prioritaires)
	for ($i=0 ; $i<count($ligne) ; $i++) {
		$nomchamp=$tint2champ[$i];
		if (!empty($ligne[$i])) {
			$tchamps[$nomchamp]=$ligne[$i];			// $tchamp['rne']=$ligne[0] si rne est en position 0 dans l'en-tête.
			}
		//else : laisser faire la valeur par défaut de la table
		}
	
	//créer le SET de la requête
	//--------------------------
	$premier=true;
	$codepostal=$ville=''; //au cas où il y aurait des références à ces variables dans le membre droit des directives
	foreach($tchamps as $nomchamp=>$valchamp) {
		if ($premier) {
			$req="SET ";
			$premier=false;
			}
		else $req.=", ";
		$req.=$nomchamp."='".secs($valchamp)."' ";
		switch ($nomchamp) {
			case 'codepostal': $codepostal=$valchamp;break;
			case 'ville': $ville=$valchamp;break;
			}
		}
		
	//vérifier que les champs indispensables sont remplis
	//---------------------------------------------------
	if (isset($tchamps['rne'])) $rne=$aff['rne']=$tchamps['rne'];
	else $rne=$aff['rne']='';
	$mess=is_etab_incorrect($tchamps);
	if (!$mess) $mess=is_lignetexte($chligneorig,$i+1);
	if ($mess) {  //renseignements insuffisants dans la ligne
		$aff['com']=rouge($mess);
		afficher_ligne($aff);
		if (++$nb_erreurs>9) break;
		else continue;
		}
	
	
	//répertoire de données de l'établissement (= RNE)
	//------------------------------------------------
	$reps=array($DATA);
	if ($DATA!=$HIDEDATA) $reps[]=$HIDEDATA; //il y en a 2... s'ils sont différents
	$aff['com']='';
	for ($i=0; $i<count($reps); $i++) {
		$rep=$reps[$i].'/'.$rne;
		if (is_dir($rep)) {
			$aff['com'].=jaune("$rep existait déjà.<br />\n");
			$nb_warnings++;
			}
		elseif (!mkdir($rep, 0777)) {
		   $aff['com'].=rouge("impossible d'écrire dans ".$reps[$i].".<br />");
		   $nb_erreur++;
		   afficher_ligne($aff);
		   continue;
		   }
		}
	 
	//on ne peut pas créer l'étab tout de suite (risque d'erreurs trouvées plus bas)
	//mais on doit connaître le futur numéro de l'établissement
	//query("LOCK TABLE etablissements WRITE");
	$etab_id=next_autoinc('etablissements');

	//recalculer les valeurs des paramètres fournis par les directives
	//----------------------------------------------------------------
	$dynamique=$dir_defaut; //on repart à "zéro" pour les variables autorisées
	$dynamique['etab_id']=$etab_id;
	//pour le nouvel étab, calculer les valeurs des variables dynamiques
	//modifiées par les directives
	//print_r($expr_user); mysql_affected_rows

	foreach($expr_user as $cle=>$expr) {
		ob_start();                       //bloquer les sorties
		if ($expr && $expr[0]=='*') {
			//mot de passe aléatoire
			$lmdp=(int) substr($expr,1);
			$lmdp=min($lmdp,MAX_MDP);
			$lmdp=max($lmdp,MIN_MDP);
			$mdp=get_mdp_alea($lmdp);
			$result=$mdp;
			}
		else $result=eval("return $expr;");    	//évaluer le membre droit de l'expression du sadmin
		//ce membre peut contenir des variables comme $etab_id, $rne, $codepostal
		
		$msgerr=ob_get_contents();        		//récupérer le msg d'erreur éventuel
		ob_end_clean();                   //vider le buffer
		if ($msgerr) {
			$msgerr=str_replace(array('"',"'",'<b>','<br />','</b>',"\n"),' ',$msgerr);
			$msgerr=htmlentities($msgerr,ENT_QUOTES);
			$lien="<a href=\"javascript:void(0);\" onclick=\"javascript:alert('$msgerr');\">";
			$aff['com'].=rouge($lien."Problème d'évaluation</a> de la directive '%$cle'.<br />
								Expression : $expr<br />");
			$nb_erreurs++;
			afficher_ligne($aff);
			print "<h3>$msgerr</h3>";
			break 2; //de la boucle sur les expressions puis de la boucle sur les lignes
			}
		else $dynamique[$cle]=$result;    //stocker l'évaluation dans la bonne variable
		}

	//envoi des mails si nécessaire
	//-----------------------------	
	if (isset($CB_mail_auto)) {
		 //Envoi du mail automatique suivant le modèle choisi
		$from=decode($MAIL_FROM,$rne,$etab_id);
		$to=decode($MAIL_TO,$rne,$etab_id);     //ou plusieurs destinataires séparés par ','
		$cc=decode($MAIL_CC,$rne,$etab_id);     //idem
		$subject=decode($MAIL_SUBJECT,$rne,$etab_id);
		$err_mail=!envoi_mail($from,$to,$cc,$subject,"../data/modele_inscript.txt",$dynamique);
		//	$dynamique['mdpadmin'], $dynamique['mdpgestion'], $dynamique['mdpproftest'], $dynamique['mdp00000']
		if ($err_mail) {
			$aff['com'].=rouge("Erreur d'envoi du mail.");  //on REMPLACE le contenu de aff['com'], notamment les mdp
			afficher_ligne($aff);
			$nb_erreurs++;
			continue;
			}
		}
		
	//=======================================
	//écrire dans la base
	//=======================================
	query("INSERT INTO etablissements $req");
	$etab_id2=mysql_insert_id();
	//=======================================
	
	if ($etab_id2!=$etab_id) {
		//erreur fatale : un autre sadmin a créé un étab entre-temps
		$fatal=true;
		$aff['com'].=rouge("Erreur fatale !<br />
							Problème d'accès en écriture à la table etablissements par un autre processus.<br/>
							Le courrier envoyé à l'établissment est incorrect. Prévenez-le.");
		query("DELETE FROM etablissements WHERE etab_id=$etab_id2");
		afficher_ligne($aff);
		break; //sortie obligée pour éviter les conflits
		}
		
	$aff['etab_id']=$etab_id;				   
	cree_users($etab_id,$dynamique);
	
	//affichage des login / mdp des utilisateurs de base
	//--------------------------------------------------
	$aff['com'].=vert("[ admin / ".$dynamique['mdpadmin'].']&nbsp;&nbsp;&nbsp; - &nbsp;&nbsp;&nbsp;');
	$aff['com'].=vert("[ gestion / ".$dynamique['mdpgestion'].']<br />');
	$aff['com'].=vert("[ proftest / ".$dynamique['mdpproftest'].']&nbsp;&nbsp;&nbsp; - &nbsp;&nbsp;&nbsp;');
	$aff['com'].=vert("[ 00000 / ".$dynamique['mdp00000'].']');
			

	//Afficher le compte rendu
	//------------------------
	$aff['ligne']=$req; //quand tout baigne, on fait afficher la requête
	afficher_ligne($aff);
	$nb_etabs++;
	}
	
fclose($fp);
print "</table><br />";

if ($fatal) {
	print "<h2 style=\"color:red\">Erreur d'accès à la table etablissements</h2>";
	print rouge("<i>Un autre utilisateur vient de créer un établissement. 
				Le script ne peut pas continuer !</i><br /><br /><br />");
	} 
if ($nb_erreurs) {
	alerte("Erreurs de données : $nb_erreurs");
	print "<br />";
	}
print "Etablissements créés : $nb_etabs"; 
print "<br />";
if ($nb_warnings) {
	print "&nbsp;&nbsp;&nbsp;&nbsp; -- $nb_warnings avertissement".pluriel($nb_warnings).' -- ';
	print "<br />";
	}
if ($erreur_directive) {
	alerte("Erreur de directive. Le traitement du fichier $nomfichier a été abandonné");
	print "<br />";
	return;
	}
if ($nb_erreurs>9) {
	alerte("L'analyse du fichier a été arrêtée : trop d'erreurs !");
	print "<br />";
	}
if ($err_mail) {
	alerte("<br /><b>Erreur d'envoi du message confirmant la création. Vérifiez : 
			<ul><li>La validité des adresses de messagerie saisies
			<li>L'existence du modèle dans le dossier data 
			<li>La configuration de votre serveur SMTP dans php.ini	
			</ul></b>\n");
	print "<br />";
	}
if (!$ok_entete) {
	alerte("En-tête incorrecte : l'analyse du fichier a été arrêtée.");
	print "<br />";
	}
if (!$entete_trouvee) {
	alerte("En-tête non trouvée. Utilisez la directive 
			%entete= ... [liste de champs de la table etablissements] ... ");
	print "<br />";
	}
}


//==========================================
//--------  programme principal  -----------
//==========================================

opensession("Sadmin",false);
if ($sess_login=='admstats') {
	aneantir_session();
	goto_url("./index.php");
	}
//transgresse éventuellement php.ini pour ce script
ini_set('file_uploads','On');         //autorise l'upload
ini_set('max_execution_time','180');     //Pour le RTC de DD !

//connecte($host,$user,$mdp,$db);
$PHP_SELF=basename($_SERVER['PHP_SELF']);
getparams(false);

//récupérer les colonnes et valeurs par défaut de la table etablissements
//-----------------------------------------------------------------------
$tdefaut=array();
$res=query(" SHOW COLUMNS FROM etablissements");
while ($row=mysql_fetch_array($res)) {
	$champ=strtolower($row['Field']);
	if ($champ=='etab_id') continue;
	$null=$row['Null'];
	$defaut=$row['Default'];
	if ($null=='YES' || !isset($defaut) || $defaut==NULL || $defaut=='') 
		$tdefaut[$champ]='';
	else $tdefaut[$champ]=$defaut;
	//$tchamp[]=$champ;
	//print "$champ=$champ - defaut=".$tdefaut[$champ]; print "<br />";
	}
$modele_e=$tdefaut['modele_login_e'];
$modele_p=$tdefaut['modele_login_p'];

/*
print_r($tdefault);print "<br><br>";
print_r($_SESSION);print "<br><br>";
*/

//Paramètres MAIL automatique
//----------------------------
$paramail=array('MAIL_FROM','MAIL_TO','MAIL_CC','MAIL_SUBJECT');
if (!isset($$paramail[1])) cree_mail_param($paramail);

if (!isset($traiter_fichiers)) { //$traiter_fichiers est affecté sssi un bouton a été cliqué (donc 2° passage)

    //1° passage : formulaire avec fichier à fournir.
    print "<p class=\"titre\">Importations de fichiers</p><hr width=\"30%\">";
    print "<p style=\"font-size:12pt\">Cette page, réservée au super-administrateur, permet d'importer
              des établissements dont les caractéristiques sont indiquées
              dans un fichier texte.<br />
			  Les champs utilisés (tous ceux de la table établissement peuvent l'être) 
			  doivent être précisés dans une ligne d'en-tête ressemblant comme celle-ci :</p>
			  <p style=\"font-family: monospace;margin-left: 50px;font-size:14pt\">
			  <b>%entete= rne ; nom ; adresse ; codepostal ; ville</b></p>
			<p><i>Voir la documentation pour plus de détails</i></p>";
    print "<FORM method=\"post\" name=\"formparam\" action=\"$PHP_SELF\" enctype=\"multipart/form-data\">\n";
    print "<FIELDSET class='forfield'>
            <LEGEND ACCESSKEY=F class='forfield' ><b>Fichier texte des établissements</b></LEGEND>\n";
    print "<table width=\"70%\" border=\"0\" align='center'>
           <tr>
              <td><div align=\"left\">Sélectionnez le fichier texte à importer :</div></td>
              <td><div align=\"left\">
	                   <input type=\"file\" name=\"fichier\">
	                   <input type=\"hidden\" name=\"MAX_FILE_SIZE\" VALUE=\"4000000\">
                	</div></td>
           </tr>\n";
    print "</table>\n";
    print "</FIELDSET>";
    
    //Envoi automatique d'un message ?
    print"</br><table align='center' width='95%' border='0'><tr><td>";
    print "<p>Il est possible d'envoyer automatiquement un message individuel (publipostage)
              à la suite de la création en chaîne des établissements. </br>Le modèle proposé est dans le dossier data,
              sous le nom modele_inscript.txt.<br>
              Vous pouvez le modifier à votre goût, il peut contenir du texte pur ou  bien du code HTML.</p>\n";
    print "<p><div align='center'><b>Envoyer un message à chaque établissement : </b>";
    print "<input type='checkbox' name='CB_mail_auto' checked onclick='pas_de_mail()'></div></p>\n";
    print "</td></tr></table>";
    print "<FIELDSET class='forfield' ID='nomfield' TITLE='Saisie des adresses du message automatique'>
            <LEGEND ACCESSKEY=P class='forfield'><b>Paramètres du message</b></LEGEND>\n";
    print " <table width='100%'><tr><td><div align=\"center\">
                        <i>Vous pouvez utiliser dans vos saisies, les variables [[rne]] et [[etab_id]] qui seront remplacées par le RNE et l'identifiant de l'établissement.<br>
                        Les champs marqués d'un * sont obligatoires.</div></i></td></tr></table>";
    print "<table  align='center' width=\"85%\" border=\"0\">\n";
    print "<tr>
              <td width='60%'height='35'><div align=\"left\" >
                       Adresse de messagerie de l'expéditeur du message (From :)   </div></td>
              <td><div align=\"left\">
                       <input type=\"text\" name=\"mail_from\" value=\"$MAIL_FROM\" size=40>*
                       </div></td>
          </tr>\n";
    print "<tr>
              <td width='60%'height='35'><div align=\"left\">
                       Adresse de messagerie du destinataire (To :) </br> <i><font color ='White'>(ou plusieurs séparées par des virgules)</font></i> </div></td>
              <td><div align=\"left\">
                       <input type=\"text\" name=\"mail_to\" value=\"$MAIL_TO\" size=40>*
                       </div></td>
          </tr>\n";
    print "<tr>
              <td width='60%' height='35'><div align=\"left\" width='60%'>
                       Adresse de messagerie du destinataire en copie (Cc :) </br><i><font color ='White'>(ou plusieurs séparées par des virgules)</font></i> </div></td>
              <td><div align=\"left\">
                       <input type=\"text\" name=\"mail_cc\" value=\"$MAIL_CC\" size=40>
                       </div></td>
          </tr>\n";
    print "<tr>
              <td width='60%'height='35'><div align=\"left\"> <br />
                       Objet du message envoyé (Subject :)  </div></td>
              <td><div align=\"left\"><br />
                       <input type=\"text\" name=\"mail_subject\" value=\"$MAIL_SUBJECT\" size=50>*
                       </div></td>
          </tr>\n";
    print "</table>\n";
    print "</FIELDSET>";


    print "<p align=\"center\">\n";
    print "<input type='submit' class='coul' name='traiter_fichiers' value='Inscrire les établissements'>\n";
    print "</p>\n";
    print "</FORM><br />\n";

}

// Deuxième passage : on effectue l'action
//-----------------------------------------
else {
    $erreur="";
    $copies="";
    $infosfichier=$_FILES['fichier'];
    $nom=strtolower($infosfichier['name']);
    if (empty($nom)) erreur('Pas de fichier indiqué !');
    $type=$infosfichier['type'];
    $tmp_name=$infosfichier['tmp_name'];
    $size=$infosfichier['size'];
    $error=$infosfichier['error'];
    if ($tmp_name=='none' || $size==0) erreur("Le fichier n'existe pas ou a une taille nulle ou trop importante.");
    if ($error) erreur("Erreur $error pour $nom (tmp_name=$tmp_name)");
    if (!eregi("\.txt$",$nom)) erreur("Le fichier DOIT avoir l'extension .txt !");
    $dest="$HIDEDATA/sadmin/".date("Y_m_d_").$nom;
    if (!move_uploaded_file($tmp_name,creertousrep($dest))) erreur("Erreur de copie vers $dest.");


    //on sauve les paramètres de mail dans _paramsglobaux
    if (isset($CB_mail_auto))  sauve_mail_param($paramail);
    recupvars();
    traiter_etabs($dest);
	retour("../sadmin/sadmin_bas.php");
    print "</body></html>";
}
?>