<?php
#G
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Stéphanie Roussel, Jean-Marie Treins
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");
opensession("Gest",true);

//Cas d'un accès depuis Sadmin 
/*
if ($sess_statut=="Sadmin") {
	$etab_id=$_GET['etab_id'];
	$etabli=getetab($etab_id);
	$etab_nom=$etabli['nom'];
	$etab_adresse=$etabli['adresse'];
	$etab_codepostal=$etabli['codepostal'];
	$etab_ville=$etabli['ville'];
	$etab_niveau=getniveau($etab_id);
	$chemin_theme="../include/general.css";
	$etab_nb_validations=$etabli['nbval'];
	}
else $chemin_theme="../themes/".$etab_theme."/b2i.css";
*/

$chemin_theme="../include/general.css";

print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Effectifs par discipline</title>
<link rel="stylesheet" href="<?php echo $chemin_theme; ?>">
<base target="_self">
</head>
<body class="arial_sadmin" >
<?php
if ($MODULE=="Gibii") $tabniv=array(1=>'Ecole',2=>'Collège',3=>'Lycée & CFA');
else $tabniv=array(1=>' 1',2=>' 2',3=>' 3');


$titre="Répartition des validations par discipline dans l'académie";
print "<p class='titre_petit'>$titre</p>";

Print "<p class='libelle_admin'>".$etab_nom."&nbsp;&nbsp;&nbsp;&nbsp;".
                 $etab_adresse."&nbsp;&nbsp;&nbsp;&nbsp;".$etab_codepostal.
                 "&nbsp;&nbsp;".$etab_ville."&nbsp;&nbsp;".date("d/m/Y");


//Tableau des départements
//Recup niveaux
$tabtyp=array('tous'=>'Tous','E'=>'Ecoles','C'=>'Collèges','L'=>'Lycées');
if ($typetab=='tous') $libdep=""; else $libdep=$tabtyp[$typetab];

if ($departement=='aca') $libdep.=" Académie";
else $libdep.=" Département : $departement";

  $values=array();  //nb resultats dans une discipline
  $absc=array();	//libellé des disciplines
  $absc2=array();	//disciplines courtes
  $num=array();		//n° ordre des disciplines
  $titre=" Validations par discipline ($libdep)";	

//Le from et le where adaptés
if (($departement!='aca') OR ($typetab!='tous')) {
		$from=", etablissements ";
		$where=" AND profs.etab_id=etablissements.etab_id ";
		if ($departement!='aca') $where.=" AND etablissements.rne LIKE '".$departement."%'";
		if ($typetab!='tous') $where.=" AND etablissements.nom LIKE '".$typetab."%' ";
		}
else {
		$from="";
		$where="";
		}
	
 $sqla="SELECT disciplines.libelle,  count(resultats.resultat_id) as nbres 
  		FROM profs, disciplines, reponses, demandes, resultats ".$from."
		WHERE profs.annee='".$sess_ascol."'
		AND  profs.prof_id=reponses.prof_id
		AND profs.disc_id=disciplines.disc_id
		".$where."
		AND reponses.message_id=demandes.message_id
		AND demandes.eleve_id=resultats.eleve_id
		AND demandes.item_id=resultats.item_id
		AND demandes.disc_id=resultats.disc_id
		GROUP BY profs.disc_id ORDER BY nbres DESC";
  $resresult=query($sqla);		
  $compter=0;
  while ((list($discip, $nb)=mysql_fetch_array($resresult)) AND ($compter<30)) {
	$absc[]=$discip;
	$absc2[]=substr($discip,0,3);
	$values[]=$nb;
	$compter++;
	$num[]=$compter;
	}
  mysql_free_result($resresult);
  $index=implode(',',$absc);
  $index2=implode(',',$absc2);
  $nombre=implode(',',$values);
  $ordre=implode(',',$num);
  
  //print "<br>".$index;
  //print "<br>".$nombre;
	
  //echo "<a href='../outils/graph_camembert_profs.php?titre=".urlencode($titre)."&index=".urlencode($index)."&nombre=".$nombre."'>graphique</a>";
  echo "<p class='sous_titre'><img src='../outils/graph_camembert_disc.php?titre=".urlencode($titre)."&index=".urlencode($index)."&nombre=".$nombre."'></p>";
  echo "<br><br><p class='titre_petit'>$titre en nombre<p/>\n";
   
  echo "<p class='sous_titre'><img src='../outils/graph_courbe_disc.php?titre=".urlencode($titre)."&index=".urlencode($index2)."&nombre=".$nombre."'></p>";


?>
</html>

